/*****************************************************************************
 * 
 *  jsMath: Mathematics on the Web
 *  
 *  This jsMath package makes it possible to display mathematics in HTML pages
 *  that are viewable by a wide range of browsers on both the Mac and the IBM PC,
 *  including browsers that don't process MathML.  See
 *  
 *            http://www.math.union.edu/locate/jsMath
 *
 *  for the latest version, and for documentation on how to use jsMath.
 *
 *  Copyright 2004-2005 by Davide P. Cervone
 * 
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *  
 *****************************************************************************/

if (!window.jsMath) {jsMath = {}}
if (!jsMath.Script) {jsMath.Script = {}}

jsMath.Script.Uncompress = function (data) {
  for (var k = 0; k <  data.length; k++) {
    var d = data[k]; var n = d.length;
    for (var i = 0; i < n; i++) {if (typeof(d[i]) == 'number') {d[i] = d[d[i]]}}
    data[k] = d.join('');
  }
  window.eval(data.join(''));
}

//start = new Date().getTime();
jsMath.Script.Uncompress([
  ['if(!','window.','jsMath','||!',1,'jsMath.','loaded){if(',1,'parent','&&',1,8,'.',2,'){',2,'=',1,8,'.',2,';}var ','jsMath_old','=',1,2,';','function',' ','ShowObject(_1',',_2){var s="";',0,'_2){_2','="";}','for(var ','i in ','_1){if(_1[i]!=null){','if(typeof (','_1[i','])=="object','"){s+=_2+i','+": {\\n"+',29,'[i],_2+"  ")+_2+"}\\n";}else{',37,'_1[i])!="',27,40,'+": "+_1[i]+"\\n";}}}}return s;}',0,'document.','getElementById','||!',50,'childNodes||!',50,'createElement','){alert("','The mathematics on this page requires W3C DOM support in its JavaScript. "+"Unfortunately, your browser doesn\'t seem to have this.");}else{',2,'={version:"3.1",document:document,window:window,blank:"blank.gif",sizes:[50,60,70,85,100,120,144,173,207,249],styles:{".math','":"font-family: serif; font-style: normal; font-weight: normal','",".typeset',61,'","div.typeset','":"text-align: ','center; margin: 1em 0px;","span.typeset',65,'left',62,' span',65,'left','",".typeset .','normal',61,73,'size0','":"font-size: ','50','%",".typeset .','size1',78,'60',80,'size2',78,'70',80,'size3',78,'85',80,'size4',78,'100',80,'size5',78,'120',80,'size6',78,'144',80,'size7',78,'173',80,'size8',78,'207',80,'size9',78,'249',80,'cmr10','":"font-family: jsMath-',117,', serif',73,'cmbx10',118,122,', ',2,'-cmr10',73,'cmti10',118,129,', ',2,127,73,'cmmi10',118,136,73,'cmsy10',118,140,73,'cmex10',118,144,73,'link":"','text-decoration',': none',73,'HD":"border-width:0px; width: 1px; margin-right: -1px',73,'error',78,'10pt; font-style: italic; "+"','background-color',': #FFFFCC','; padding: ','1px; "+"','border: 1px solid #CC0000","#jsMath_message','":"position:fixed; bottom:','1px; left:2px; ',157,':#E6E6E6','; "+"border: solid 1px #959595; margin:0px; padding: ','1px 8px','; "+"z-index:102; color',': black','; font-size:small; width:auto;","#','jsMath_panel',162,'1.5em; right:1.5em',159,'10px 20px','; "+"',157,':#DDDDDD; border: outset ','2px; "+"z-index:103; width:auto;","#jsMath_button',162,'1px; right:2px; ',157,':white',166,'0px 3px 1px 3px',168,':black; ',149,':none','; font-size',':x-small; "+"','width:auto; cursor:pointer; cursor:hand',';","#jsMath_float','":"','position:absolute','; top:0px; left:0px; max-width:80%; "+"z-index:101; ','width:auto; height:auto',193,' .drag":"',157,178,'1px; height:12px',190,': 1px',193,' .close":"',157,165,'; border: ','inset 1px; width:8px; height:8px; margin: 1px 2px',193,' .source":"',157,':#E2E2E2',209,'outset ',160,197,159,'8px 15px; "+"','font-family',': courier, fixed',190,': 90%","#','jsMath_noFont',65,'center',159,175,209,'3px solid #DD0000; "+"',157,': #FFF8F8; color: #AA0000',170,225,' .link":"padding: 0px 5px 2px 5px',209,'2px outset; ',157,':#E8E8E8; "+"color:black',190,':80%; ',192,';"},Element',':function(','_5){return ',5,50,51,'("jsMath_"+_5);},BBoxFor',245,'s','){this.','hidden.innerHTML','="<nobr><span class=\\"typeset\\"><span class=\\"scale\\">"+s+"</span></span></nobr>";var _7={w:this.','hidden','.offsetWidth',',h:this.',256,'.offsetHeight','};this.',254,'="";return _7;},EmBoxFor',245,'s){var _9','=this.BBoxFor','(s);return {w:_9.w/this.em,h:_9','.h/this.em};},','EmBoxForItalics',245,'s){var _b',266,'(s);if(s.match(/<i>|class=\\"icm/i)){_b.w',266,'(s+',5,'Browser.','italicString',').w-',5,277,'italicCorrection',';}return {w:_b.w/this.em,h:_b',268,'Init',':function(){','if(',5,'Setup.inited','!=1){if(',5,289,57,'It looks like ',2,' failed to set up properly.  "+"I\'ll will try to keep going, but it could get ugly.");',5,289,'=1',';}else{','alert("You must call ',5,'Setup.','Body() explicitly when ',2,' is"+"loaded as part of the <HEAD> section");}',5,303,'Body();}this.em',266,'("<img src=\\""+',5,'blank+"\\" style=\\"','width:10em; height:1em\\" />").w/10;if(',5,277,278,'){',5,277,282,'=',5,'BBoxFor(',5,277,278,').w;}if(',5,'Browser.hiddenSpace','!=""){',5,277,'spaceWidth=this.EmBoxFor(',5,330,'+',5,330,'+',5,330,'+',5,330,'+',5,330,').w/5;}var bb',266,'("x");var h=bb.h;var d',266,'("x<img src=\\""+',5,'blank+"\\" ','height=\\""+(h*',5,277,'imgScale',')+"\\" width=\\"1\\" />").h-h;this.h=(h-d)/this.em;this.d=d/this.em;this.hd=this.h+this.d;this.xWidth=bb.w;this.',303,'TeXfonts','();var _f=this.','EmBoxFor("<span class','=\\"',117,'\\">M</span>").w/2;this.TeX.M_height=_f*(26/14);this.TeX.h=this.h;this.TeX.d=this.d;this.TeX.hd=this.hd;this.Img.Scale();',0,'this.initialized',253,303,'Sizes','();this.','Img.UpdateFonts();}this.p_height=(this.','TeX.cmex10[','0].h+this.',375,'0].d)/0.85;',369,'=1;},ReInit',286,'var w',266,'("x").w;if(w!=this.xWidth',253,'Init();}},Loaded',286,'if(',22,'){var _11=["Process","ProcessBeforeShowing","ConvertTeX","ConvertTeX2","ConvertLaTeX","ConvertCustom","CustomSearch","Synchronize","Macro","document"];',34,'i=0;i<','_11.length;','i++){if(',22,'[_11[i]]){',22,'[_11[i]]=null;}}}if(',22,'){this.Insert(',2,',',22,');}',22,'=null;',5,'loaded=1;},Add',245,'dst,src){',34,'id in src){','dst[id]=src[id','];}},Insert',245,'dst,src){',34,412,'if(dst[id]&&typeof (src[id',39,'"&&(','typeof (dst[id])=="','object"||',422,27,'")){this.','Insert(dst[id],src[id]);}else{',413,'];}}},Package',245,'obj,def',400,'obj.prototype,def);}};',5,'Script={request:null,Init',286,'if(!(',5,'Controls.cookie','.asynch&&',5,439,'.progress',')){if(',1,'XMLHttpRequest','){','this.request','=new ',446,300,'if(',1,'ActiveXObject','){try{',448,'=new ',454,'("Microsoft.XMLHTTP");}catch(err){}}}}',0,448,'||',5,303,'domainChanged',253,'Load=this.delayedLoad;this.needsBody=1;}},Load',245,'url,_1c){if(_1c){',5,'Message.Set("Loading "+url);',5,'Script.','Delay(1);',5,'Script.Push(','this,"xmlRequest",url',');',5,476,5,'Message',',"Clear");}else{',5,476,477,');}},','xmlRequest',245,'url){','this.debug("',488,': "+url);','try{',448,'.open("GET",url,false);',448,'.send(null);}catch(err','){throw "jsMath can\'t load the file \'"+url+"\'\\n"+"',482,': "+err.message;}if(',448,'.status','&&',448,503,'>=400',499,'Error status: "+',448,503,';}this.','Start();','this.blocking','=1;',5,1,'eval(',448,'.responseText);this.End();','this.blocking=0;this.Process','();},cancelTimeout:30*1000,iframe:null,blocking:0,cancelTimer:null,needsBody:0,queue:[],queueAt:0,Synchronize',245,'_1e,_1f){',37,'_1e)!="string"){',5,476,'null,_1e,_1f',');}else{',5,476,5,'window,"eval",_1e);}},Push',245,'_20,_21,_22){',491,'Pushing: "+_21+" at "+','this.queueAt',');this.queue=[].concat(','this.queue.slice(','0,',539,'),[[_20,_21,_22]],',541,539,'));',539,'++;if(!(',514,'||(this.needsBody&&!',5,50,'body','))){this.Process();}},Process',286,'while(','this.queue.length','&&!',514,253,513,'var _23=this.queue[0];this.queue=',541,'1);var _24=_23[0];var _25=_23[1];var _26=_23[2];',491,'Calling: "+_25);if(_24){_24[_25](_26',530,'if(_25){_25(_26);}}',491,'Done:    "+_25);}this.End();},Start',286,539,'=0;},End',286,539,'=',558,';},delayedLoad',245,'url){',491,'Loading',493,'this.Push(this,"startLoad",url);},startLoad',245,'url){','this.iframe','=',5,50,56,'("iframe");','this.iframe.style.','visibility="',256,'";',594,'position="absolute";',594,'width="0px";',594,'height="0px";if(',5,50,'body.firstChild','){',5,50,'body.insertBefore(',588,',',5,50,606,530,5,50,554,'.appendChild(',588,');}',514,'=1;this.','url=url;',0,'url.match(/\\.js$/)){',588,'.src=url',300,588,'.src=',5,'root+"',2,'-loader.html";}if(url.substr(0,',5,'root.length',')==',5,'root){url=url.substr(',5,638,');}',5,471,491,'Starting',493,'this.cancelTimer','=setTimeout("',5,473,'cancelLoad','()",this.cancelTimeout);},endLoad',245,'_29){',491,'Ending: "+this.url);if(',650,'){clearTimeout(',650,');',650,'=null;}',5,482,'.Clear();if(_29!="cancel"){',521,'();}},',654,286,650,406,5,482,'.Set("Can\'t load file");this.endLoad("cancel");},Delay',245,'_2a){',514,'=1;setTimeout("',5,473,'endDelay()",_2a);},endDelay',286,521,'();},debug',245,'_2b){}};',5,482,'={blank:null,message:null,text:null,clear:null,Init',286,0,5,50,554,'||!',5,439,443,'){return;}','if(',5,303,'stylesReady){','this.message','=',5,'Setup.DIV("message",{visibility:"hidden','"});}else{',707,'=',5,710,'",position:"absolute",','bottom:"1px",left:"2px",','backgroundColor',':"#E6E6E6",border:"solid 1px #959595",margin:"0px",padding:"1px 8px",zIndex:102,color:"black",fontSize:"small",width:"auto"});}','this.text','=',5,50,'createTextNode("");',707,620,720,');',707,'.onmousedown=',5,'Translate.Cancel;},Set',245,'_2c,_2d){','if(this.clear){clearTimeout(this.clear',');','this.clear',665,'if(',5,439,443,'){',0,720,253,'Init();',0,720,'){return;}}if(',5,277,'textNodeBug','){',707,'.innerHTML','=_2c',300,720,'.nodeValue','=_2c;}',707,'.style.visibility="','visible";if(_2d){',707,'.style.cursor','="pointer";',0,707,766,'){',707,766,'="hand";}',707,'.title=" Cancel Processing of Math ";}else{',707,766,';',707,'.title="";}}else{if(_2c.substr(0,8)!="Loading "){',5,1,'status=_2c;}}},Clear',286,735,');}',737,'=setTimeout("',5,482,'.doClear()",1000);},doClear',286,'if(',737,253,'clear',406,5,1,'status="";if(',720,'){',720,760,33,'if(',707,'){',707,763,256,'";}}},Blank',286,'if(','this.blank','||!',5,50,554,702,816,'=',5,'Setup.DIV("','blank",{position:(',5,277,'msiePositionFixedBug','?"absolute":"fixed"),top:"0px",left:"0px",bottom:"0px",right:"0px",zIndex:101,',718,':"white"});if(',5,277,'msieBlankBug','){',816,756,'="&nbsp;";',816,'.style.width="110%";',816,'.style.height="110%";}},UnBlank',286,'if(',816,'){',5,50,554,'.removeChild(',816,');}',816,'=null;}};',5,'Setup={loaded:[],DIV',245,'id,_2f){var div=',5,50,56,'("div");div.id="jsMath_"+id;',34,35,'_2f){div.style[i]=_2f[i];}',0,5,50,554,'.hasChildNodes){',5,50,554,620,'div',530,5,50,610,'div,',5,50,606,');}return div;},Script',245,'_32,_33){if(','this.loaded[_32',']){return',300,888,']=1;}',0,'_32.match("^([a-zA-Z]+:/)?/")){_32=',5,'root+_32;}',5,473,'Load(_32,_33);},Hidden',286,5,256,'=this.DIV("Hidden",{visibility:"',256,716,'top:0,left:0,border:0,padding:0,margin:0});',5,'hiddenTop=',5,256,';return;},Source',286,'if(',5,'Autoload&&',5,'Autoload.root','){',5,'root=',5,917,300,5,'root="";var _34=',5,50,'getElementsByTagName("','script");if(_34){',34,392,'_34.','length;i++){','var src=_34[i].src;if(src&&src.match("(^|/)',5,'js$")){',5,'root=src.replace(/',5,'js$/,"");i=_34.length;}}}}',5,'Img.root=',5,634,'fonts/";',5,'blank=',5,'root+',5,'blank;this.Domain();},Domain',286,'var _37="";var _38=',5,50,'domain;if(',5,'root.match("://([^/]*)/")){_37=RegExp.$1;}_37=_37.replace(/:\\d+$/,"");if(_37==""||_37==_38',702,'if(navigator.','appName=="','Microsoft Internet Explorer"&&','navigator.','platform=="','MacPPC"&&',963,'onLine&&',963,'userProfile&&',5,50,'all',702,'_37=_37.split(/\\./);_38=_38.split(/\\./);if(_37.length<2||_38.length<2||','_37[_37.length-','1',']!=_38[_38.length-','1]||',975,'2',977,'2]){this.','DomainWarning','();return;}var _39=',975,'2]+"."+',975,'1];',34,'i=3;i<=_37.length&&i<=_38.length;',394,975,'i',977,'i]){break;}_39=',975,'i]+"."+_39;}',5,50,'domain=_39;this.',465,'=1;},',983,286,'alert("In order for ',2,' to be able to load the additional "+"components that it may need, the ',5,'js file must be "+"loaded from a server in the same domain as the page that "+"contains it.  Because that is not the case for this page, "+"the mathematics displayed here may not appear correctly.");},','EncodeFont',245,'_3b){var _3c=',5,'TeX[_3b];if(_3c[0].c!=null',702,34,'k=0;k<128;k++){var _3e=_3c[k];_3c[k]=_3e[3];if(_3c[k]==null){_3c[k]={};}_3c[k].w=_3e[0];_3c[k].h=_3e[1];if(_3e[2]!=null){_3c[k].d=_3e[2];}_3c[k].c=',5,'TeX.encoding[k];}},Fonts',286,34,392,5,'TeX.fam.length;','i++){var _40=',5,'TeX.fam[i','];if(_40',253,1010,'(_40);}}},TeXfont',245,'_41){var _42=',5,'TeX[_41];var WH=',5,364,'=\\""+_41+"\\">"+_42[65','].c+"</span>");','_42.hd=WH.h;_42.d=',5,364,'=\\""+_41+"\\">"+_42[65].c+"<img src=\\""+',5,313,'height:"+(_42.hd*',5,277,359,')+"em; width:1px;\\" /></span>").h-_42.hd;_42.h=_42.hd-_42.d;_42.dh=0.05;if(',5,'browser=="Safari"){_42.hd*=2;}','if(_41=="',136,'"){_42.skewchar=','127',300,1053,140,1055,'48;}}},',362,286,34,392,5,1024,394,5,1027,']){this.TeXfont(',5,1027,']);}}},Sizes',286,5,'TeXparams','=[];',34,'j=0;j<',5,'sizes.length;j++){',5,1077,'[j]={};}',34,35,5,'TeX){',37,5,'TeX[i])!="object"){',34,'j=0;j<',5,'sizes.length;j++){',5,1077,'[j][i]=',5,'sizes[j]*',5,'TeX[i]/100;}}}},Styles',245,'_48){',0,'_48){_48=',5,'styles;_48[".typeset .scale"]="font-size:"+',5,439,'.scale+"%";this.stylesReady=1;}',5,476,'this,"','AddStyleSheet','",_48);if(',5,277,'styleChangeDelay','){',5,476,5,'Script,"Delay",1);}},',1116,245,'_49){var _4a=',5,50,928,'head")[0];if(',5,50,'styleSheets','){var _4b=_4a',620,5,50,56,'("style"));var _4c=_4b.styleSheet||_4b.sheet;if(_4c){',34,'id in _49){','if(_49[id]!=""){if(_4c.addRule){_4c.addRule(id,_49[id],_4c.length',530,'_4c.insertRule(id+" {"+_49[id]+"}",_4c.length);}}}return',300,'_4a',851,'_4b);_4b',406,'_4c=null;}}var _4e=(',5,50,1135,')?',5,50,1135,'.length:0;var _4f="";',34,1143,'_4f+=id+" {"+_49[id]+"}\\n";}var _51=',5,50,56,'("link");_51.rel="stylesheet";_51.type="text/css";_51.href="data:text/css;charset=utf-8,"+escape(_4f);_4a',620,'_51);if(',5,50,1135,'&&',5,50,1135,'.length==_4e&&!(',5,50,'implementation','&&',5,50,1180,'.createCSSStyleSheet)){var div=',5,50,56,'("div");div','.style.display="none','";',5,50,554,620,'div);div',756,'="<style type=\\"text/css\\">"+"\\n"+_4f+"\\n"+"</style>";}},Body',286,'if(','this.inited',702,1201,'=-1;',5,303,'Hidden();',5,277,747,'if(',5,439,'.blank){',5,482,'.Blank();}',5,303,'Styles();',5,'Controls.',747,5,476,5,'Setup,"User","pre-font");',5,476,5,'Font,"Check");',1201,'=1;},User',245,'_53){}};',5,'Update={',362,245,'_54){',34,'_55 in _54){',34,'_56 in _54[_55]){',34,'id in _54[_55][_56]){',5,'TeX[_55][_56][id]=_54[_55][_56][id];}}}},TeXfontCodes',245,'_58){',34,'_59 in _58){',34,392,'_58[_59].',933,5,'TeX[_59][i].c=_58[_59][i];}}}};',5,'Browser={allowAbsolute:1,allowAbsoluteDelim:0,separateSkips:0,','msieSpaceFix',':"",','msieCenterBugFix',1262,'msieInlineBlockFix',1262,359,':1,renameOK:1,',1120,':0,delay:1,spaceWidth:0,','hiddenSpace',1262,'valignBug',':0,','operaHiddenFix',1262,'TestSpanHeight',286,5,254,'="<span','><img src=\\""+',5,313,'height: 2em\\" /></span>";var _5b=',5,'hidden.firstChild;','var img=_5b.firstChild;','this.spanHeightVaries','=(_5b',260,'==img',260,');',5,254,'="";},','TestRenameOK',286,5,254,1281,'></span>";var _5d=',5,1287,'_5d.setAttribute("name","','jsMath_test','");this.renameOK=(',5,50,'getElementsByName("',1307,'").length>0);',5,254,1297,'TestStyleChange',286,5,254,1281,' ID=\\"',1307,'\\">x</span>";var _5e=',5,1287,'var w=_5e',257,';',5,303,1116,'({"#',1307,'":"font-size:200%"});this.',1120,'=(_5e',257,'==w);',5,254,1297,'Init',286,5,'browser="','unknown";this.',1277,373,1298,373,1317,373,'MSIE',373,'Mozilla',373,'Opera',373,'OmniWeb',373,'Safari',373,'Konqueror','();if(','this.allowAbsoluteDelim','){',5,'Box.DelimExtend=',5,'Box.DelimExtendAbsolute;',5,'Box.Layout=',5,'Box.LayoutAbsolute',300,5,'Box.DelimExtend=',5,'Box.DelimExtendRelative;',5,'Box.Layout=',5,'Box.LayoutRelative;}if(','this.separateSkips','){',5,'HTML.Place=',5,'HTML.','PlaceSeparateSkips',';',5,'Typeset.prototype.','Place=',5,1394,1391,';}},MSIE',286,'if(',1289,'){',5,1346,'MSIE";',960,964,'Win32"){',1366,'=1;',1385,'=1',';this.buttonCheck=1;this.',835,'=1;this.msieDivWidthBug=1;this.',829,624,'msieFontBug',624,'msieIntegralBug',624,'msieAlphaBug=1;','this.alphaPrintBug=1',';this.',1263,'="position:relative; ";this.',1261,'="<img src=\\""+',5,355,'class=\\"HD\\" />";this.',1265,'=" display: inline-block;";',5,'Macro("joinrel","\\\\mathrel{\\\\kern-5mu}"),',5,'styles[".typeset',' .arial"]="',221,': \'Arial unicode MS\'";',5,'styles["#jsMath_message','"]=',5,1443,'"].replace(/','position:fixed','/,"',195,'").','replace(/width:auto','/,"");',5,'styles["#jsMath_panel','"]=',5,1455,1447,1448,'/,"',195,'").',1452,'/,"");',5,'styles["#jsMath_button','"]="width:','1px; "+',5,1467,1447,1448,'/,"',195,'").',1452,'/,"");',5,1,'onscroll=',5,1222,'MoveButton;if(','screen.deviceXDPI','&&','screen.logicalXDPI','&&',1485,'!=',1487,253,359,'*=',1487,'/',1485,';',5,439,'.alpha=0',512,278,'="<i>x</i>";',5,'EmBoxFor=',5,269,300,960,964,'MacPPC"){this.msieAbsoluteBug',624,'msieButtonBug',1416,835,'=1;',5,'Setup.Script("jsMath-','msie-mac.js");',5,'Parser.prototype.macros','.angle=["Replace","ord","<font face=\\"Symbol\\">&#x8B;</font>","normal"];',5,1455,1468,'25em; "+',5,1455,'"].',1452,'/,"");',5,1467,1468,1469,5,1467,'"].',1452,'/,"");}}',5,'Macro("not","\\\\mathrel{\\\\rlap{\\\\kern3mu/}}");}},',1356,286,'if(',5,256,'.ATTRIBUTE_NODE){',5,1346,1356,'";',960,964,'Win32"){',1424,';}',1366,'=1;',1385,'=1;',5,1543,1360,286,960,'accentColorName){',5,1346,1360,'";','this.allowAbsolute','=!','navigator.userAgent.match','("',1360,'/v4");',1366,'=',1573,1414,753,'=1;}},Opera',286,960,961,'Opera"||',1575,'(" Opera ")){',5,1346,'Opera";',1573,'=0;this.delay=10;this.',1275,'="[Processing]";}},Safari',286,960,'appVersion.match(/Safari\\//)){',5,1346,'Safari";var _60=',1575,'("Safari/([0-9]+)");_60=(_60)?_60[1]:400;',34,392,5,1024,394,5,1027,']){',5,'TeX[',5,1027,']].dh=0.1;}}',5,'TeX.axis_height+=0.05;',1366,'=_60>=125;this.safariIFRAMEbug=_60>=312&&_60<412;this.safariImgBug',624,753,'=1',1414,1120,'=1;}},',1364,286,960,'product&&',963,'product.match("',1364,'")){',5,1346,1364,'";',1573,'=0;',1366,'=0;',960,'userAgent.match(/',1364,'\\/(\\d+)\\.(\\d+)/)){if(RegExp.$1<3||(RegExp.$1==3&&RegExp.$2<3)){',1385,624,1273,624,1271,839,5,'Box.prototype.Remeasured=new Function("return this");}}}}};',5,'Font={fallback:"symbol",message:"<b>No TeX fonts found</b> -- using',' image fonts instead','.<br/>\\n"+"These',' may be slow and might not print well.<br/>\\n"+"Use the jsMath control panel to get additional information.",','extra_message',':"Extra TeX fonts not found: <b><span id=\\"jsMath_ExtraFonts\\"></span></b><br/>"+"Using',1659,'.  This',1661,'Test1',245,'_62,n,_64,_65','){if(n==null){n=124;}if(','_64==null){_64=2;}if(_65==null){_65',33,'var wh1=',5,'BBoxFor("<span style=\\"font-family',': "+_65+_62+", serif\\">"+',5,'TeX[_62][n',1039,'var wh2=',5,1675,': serif\\">"+',5,'TeX[_62][n',1039,'return (wh1.w>_64*wh2','.w&&wh1.h!=0);},','Test2',245,'_68,n,_6a,_6b',1670,'_6a==null){_6a=2;}if(_6b==null){_6b',33,'var wh1=',5,1675,': "+_6b+_68+", serif\\">"+',5,'TeX[_68][n',1039,'var wh2=',5,1675,': serif\\">"+',5,'TeX[_68][n',1039,'return (wh2.w>_6a*wh1',1688,'CheckTeX',286,'var wh=',5,1675,': ',2,'-',144,120,'\\">"+',5,375,'1',1039,5,'nofonts=((wh.w*3>wh.h||wh.h==0)&&!this.Test1("cmr10','",null,null,"',2,'-"));if(',5,'nofonts){','wh=',5,1675,': ',144,120,'\\">"+',5,375,'1',1039,5,1727,'"));',0,5,1732,5,1519,'BaKoMa-fonts.js");}}},Check',286,'var _6f=',5,439,';this.CheckTeX();if(',5,1732,'if(_6f.autofont','||_6f','.font=="tex','"){_6f.font=this.fallback;if(_6f.warn){',5,'nofontMessage=1;_6f.warn=0;',5,1222,'SetCookie(0);if(',5,1,'NoFontMessage','){',5,1,1771,'();}else{this.',482,'(',707,');}}}}else{',1760,'){_6f.font="','tex";}if(_6f',1762,'"){return;}}if(',5,'noImgFonts',1782,'unicode";}if(_6f','.font=="unicode"){','var _70=({Win32:"pc",MacPPC:"mac"})[',963,'platform]||"unix";',5,1519,'fallback-"+_70+".','js");return;}','if(_6f.font=="symbol"){',5,1519,'fallback-symbols.',1797,5,'Img.SetFont','({',117,':["all"],',136,1807,140,1807,144,1807,122,1807,129,':["all"]});',5,'Img.LoadFont','("cm-fonts");},',482,245,'_71){if(',5,'Element("Warning','")){return;}var div=',5,825,'Warning",{});div',756,'="<center><table><tr><td>"+"<div id=\\"',225,'\\">"+_71+"<','div style=\\"','text-align:left\\"><span style=\\"float:left; margin: 8px 0px 0px 20px\\">"+"<span onclick=\\"',5,1222,'Panel()\\" title=\\" Open the ',2,' Control Panel',' \\" class=\\"link\\">',2,1840,'</span>"+"</span','><span style=\\"margin: 8px 20px 0px 0px; float:right\\">"+"<span onclick=\\"',5,'Font.HideMessage()\\" title=\\" Remove this font warning message',1841,'Hide this ',482,1844,'></div><',1834,'height:6px\\"></div><br clear=\\"all\\"/></div>"+"<',1834,'width:22em; height:1px\\"></div>"+"</td></tr></table></center><hr/>";},HideMessage',286,'var _73=',5,1825,'");if(_73){_73',1190,'";}},Register',245,'_74){',5,473,513,37,'_74)=="string"){_74={name:_74};}var _75=_74.name;var _76=_75.replace(/10$/,"");var _77=',5,1024,'if(','_74.prefix','==null){',1874,33,0,'_74.style){_74.style="',221,': "+',1874,'+_75+", serif";}',0,'_74.styles','){',1885,'={};}',0,'_74.macros','){',1890,1888,5,'TeX.fam[_77]=_75;',5,'TeX.famName[_75]=_77;',1890,'[_76]=["HandleFont",_77];',5,'Add(',5,1522,',',1890,');_74.',1438,' ."+_75]=_74.style;',5,303,'Styles(',1885,');',5,476,5,'Setup,"TeXfont",_75);var _78=!',5,'nofonts&&_74.test(_75,_74.testChar,_74.testFactor,',1874,');if(_78&&',5,439,1762,'"){if(_74.tex){_74.tex(_75,_77,_74);}',5,'Script.End();return;}',0,'_78&&',5,439,'.warn&&',5,439,1762,'"&&!',5,1732,0,5,1825,426,482,'(this.',1662,');}var _79=',5,'Element("ExtraFonts");if(_79){if(_79',756,331,'_79',756,'+=",";}_79',756,'+=" "+',1874,'+_75;}}if(',5,439,1790,'if(_74.fallback){_74.fallback(_75,_77,_74);}',5,1927,'var _7a={};_7a[_75]=["all"];',5,1804,'(_7a);',5,1819,'(_75);',5,473,'End();},Load',245,'_7b){',5,303,'Script(this.URL(_7b));},URL',245,'_7c){return "fonts/"+_7c+"/def.js";}};',5,'Controls={cookie:{scale:100,font:"tex",autofont:1,scaleImg:0,alpha:1,warn:1,button:1,progress:1,asynch:0,blank:0,print:0,keep:"0D"},cookiePath:"/",Init',286,'this.panel=',5,825,'panel",{display:"none"});',0,5,277,1514,253,'Button();}else{'],
  ['setTimeout("','jsMath.','Controls.','Button','()",500);}},Panel',':function(){',1,'Translate.Cancel();if(this.loaded){this.Main();}else{',1,'Script.','delayedLoad(',1,'root+"jsMath-controls.html");}},',3,5,'var _7d=',1,'Setup.DIV("button",{});_7d.title=" Open jsMath Control Panel ";_7d.innerHTML="jsMath";_7d.onclick=new Function("',1,2,'Panel()");if(!','this.cookie','.button){_7d.style.display="none";}},MoveButton',5,'if(!this.button){this.button=',1,'Element("button");}','this.button.style.visibility="','hidden";',27,'visible";},GetCookie',5,'var _7e=',1,'document.cookie',';if(','jsMath.window.location.','protocol=="file:"){','_7e=unescape(',36,'search.substr(1));}if(_7e','.match(/jsMath','=([^;]*)/)){var _7f=RegExp.$1.split(/,/);for(var i=0;i<_7f.length;i++){var x=_7f[i].match(/(.*):(.*)/);if(x[2].match(/^\\d+$/)){x[2]=1*x[2];}',21,'[x[1]]=x[2];}}},SetCookie:function(_82){var _83=[];','for(var id in ',21,'){_83[_83.length]=id+":"+',21,'[id];}_83=_83.join(",");if(',36,37,'if(!_82){return;}this.loaded=0;var _85=',36,'href;_85=_85.replace(/\\?.*/,"")+"?jsMath="+escape(_83);if(_85!=',36,'href){',36,'replace(_85);}}else{if(','this.cookiePath','){_83+="; ','path="+',59,';}if(','this.cookieDomain',60,'domain="+',64,63,21,'.keep!="0D"){var ms={D',':1000*60*60*24',',W',71,'*7,M',71,'*30,Y',71,'*365};var exp=new Date;exp.setTime(exp.getTime()+',21,'.keep.substr(','0,1)*ms[',21,80,'1,1)]);_83+="; expires="+exp.toGMTString();}',1,34,'="jsMath="+_83;var _88=',1,34,';if(_82&&!_88',41,'=/)){alert("Cookies must be enabled in order to save jsMath options");}}}};',1,'Click={CheckClick:function(_89){if(!_89){_89=',1,'window.event;}if','(_89.altKey){',1,2,'Panel();}},CheckDblClick:function(_8a){if(!_8a){_8a=',1,96,'(!',1,'Click.DblClick){',1,'Extension.Require("double-click",1);var _8b=_8a;_8a={};',45,'_8b){_8a[id]=_8b[id];}}',1,9,'Push(',1,'Click,"DblClick",[_8a,this.alt]);}};',1,'TeX={thinmuskip:3/18,medmuskip:4/18,thickmuskip:5/18,x_height:0.430554,quad:1,num1:0.676508,num2:0.393732,num3:0.44373,denom1:0.685951,denom2:0.344841,sup1:0.412892,sup2:0.362892,sup3:0.288888,sub1:0.15,sub2:0.247217,sup_drop:0.386108,sub_drop:0.05,delim1:2.39,delim2:1,axis_height:0.25,default_rule_thickness:0.04,big_op_spacing1:0.111111,big_op_spacing2:0.166666,big_op_spacing3:0.2,big_op_spacing4:0.6,big_op_spacing5:0.1,integer:6553.6,scriptspace:0.05,nulldelimiterspace:0.12,delimiterfactor:901,delimitershortfall:0.5,scale:1,atom:["ord","op","bin","rel","open","close","punct","ord"],fam:["cmr10","cmmi10","cmsy10","cmex10","cmti10","","cmbx10"],famName:{cmr10:0,cmmi10:1,cmsy10:2,cmex10:3,cmti10:4,cmbx10:6},encoding:["&#xC0;","&#xC1;","&#xC2;","&#xC3;","&#xC4;","&#xC5;","&#xC6;","&#xC7;","&#xC8;","&#xC9;","&#xCA;","&#xCB;","&#xCC;","&#xCD;","&#xCE;","&#xCF;","&#xB0;","&#xD1;","&#xD2;","&#xD3;","&#xD4;","&#xD5;","&#xD6;","&#xB7;","&#xD8;","&#xD9;","&#xDA;","&#xDB;","&#xDC;","&#xB5;","&#xB6;","&#xDF;","&#xEF;","!","&#x22;","#","$","%","&#x26;","&#x27;","(",")","*","+",",","-",".","/","0","1","2","3","4","5","6","7","8","9",":",";","&#x3C;","=","&#x3E;","?","@","A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R","S","T","U","V","W","X","Y","Z","[","&#x5C;","]","^","_","`","a","b","c","d","e","f","g","h","i","j","k","l","m","n","o","p","q","r","s","t","u","v","w","x","y","z","{","|","}","&#x7E;","&#xFF;"],cmr10:[[0.625',',0.683],[0.','833',117,'778',117,'694',117,'667',117,'75',117,'722',117,'778',117,'722',117,'778',117,'722',117,'583',',0.694,0,{ic:0.','0778,krn:{"39":0.0778,"63":0.0778,"33":0.0778,"41":0.0778,"93":0.0778},lig:{"105":','14,"108":15}}],[0.','556',',0.694],[0.','556',143,'833',143,'833',143,'278',',0.431],[0.','306',',0.431,0.194','],[0.5',143,'5',143,'5,0.628],[0.5',143,'5,0.568],[0.75',143,'444,0,0.17],[0.5',143,'722',151,'778',151,'5,0.528,0.0972],[0.903,0.683],[1.01',117,'778,0.732,0.0486],[0.278',',0.431,0,{krn:{"','108":-0.278,"76":-0.319}}],[0.278',',0.694,0,{lig:{"96":','60}}],[0.','5',143,'833',',0.694,0.194],[','0.5',',0.75,0.0556],[0.','833',180,'778',143,'278',',0.694,0,{krn:{"','63":0.111,"33":0.111','},lig:{"39":34}}],[0.','389',',0.75,0.25],[0.','389',190,'5,0.75],[','0.778,0.583,0.0833],[','0.278,0.106',',0.194],[0.','333',',0.431,0,{','lig:{"45":','123}}],[',195,'],[0.5',190,'5',',0.644','],[0.5,0.644],[0.','5',205,206,'5',205,206,'5',205,206,'5',205,206,'278',151,'278',153,'],[0.278,0.5',196,'778',',0.367,-0.133],[','0.472,0.5',196,'472',173,'62}}],[0.778',143,'75',',0.683,0,{krn:{"','116','":-0.0278,"','67',236,'79',236,'71',236,'85',236,'81',236,'84":-0.0833,"89":-0.0833,"86":-0.111,"87":-0.111}}],[0.','708',117,'722',117,'764',234,'88',236,'87',236,'65',236,'86',236,'89":-','0.0278}}],[0.','681',117,'653',',0.683,0,{','krn:{"111":-0.0833,"101":-0.0833,"117":-0.0833,"114":-0.0833,"97":-0.0833,"65":-0.111,"79":-0.0278,"67":-0.0278,"71":-0.0278,"81":-0.0278}}],[','0.785',117,'75',117,'361',234,'73":',263,'514',117,'778',234,'79',236,'67',236,'71',236,'81":-',263,'625',234,247,'917',117,'75',117,'778',234,'88',236,'87',236,'65',236,'86',236,'89":-',263,'681',234,'65','":-0.0833,"','111',236,'101',236,'97',236,'46',311,'44":-0.','0833}}],[0.','778,0.683',196,'736',234,'116',236,'67',236,'79',236,'71',236,'85',236,'81',236,247,'556',117,'722',234,'121',236,'101',311,'111',311,'114',311,'97',311,'65',311,'117":-0.',321,'75',117,'75',',0.683,0,{ic:0.','0139,',268,'1.03',360,'0139,',268,'0.75',234,'79',236,'67',236,'71',236,'81":-',263,'75',360,'025,','krn:{"101',311,'111',311,'114',311,'97',311,'65',311,355,321,'611',117,'278',190,'5',143,'278',190,'5',143,'278,0.668],[0.','278',173,'92}}],[0.','5',171,'118',236,'106":0.0556,"121',236,'119":-',263,'556',',0.694',',0',',{krn:{"101":0.0278,"111":0.0278,"120":-0.0278,"100":0.0278,"99":0.0278,"113":0.0278,"118":-0.0278,"106":0.0556,"121":-0.0278,"119":-0.0278}}],[0.','444',171,'104',236,'107":-',263,'556',143,'444',151,'306',139,140,'12,"102":11,"108":13}}],[0.','5',',0.431',',0.194,{ic:0.','0139,krn:{"','106":',263,'556',186,'116',236,'117',236,'98',236,'121',236,'118',236,'119":-',263,402,'306,0.668',196,'528',186,'97','":-0.0556,"','101',236,'97',236,'111',236,'99":-',263,'278',143,'833',171,'116',236,'117',236,'98',236,'121',236,'118',236,'119":-',263,'556',171,'116',236,'117',236,'98',236,'121',236,'118',236,'119":-',263,'5',433,',0',417,'556',153,417,'528',153,'],[0.392',151,'394',151,'389,0.615,0,{krn:{"121',236,'119":-',263,'556',171,'119":-',263,'528',',0.431,0,{ic:0.',435,'97',458,'101',236,'97',236,'111',236,'99":-',263,'722',519,435,'101',236,'97',236,'111',236,'99":-',263,'528',151,'528',433,434,435,'111',236,'101',236,'97',236,'46',311,'44":-0.',321,'444',151,'5',519,'0278,',199,'124}}],[1',519,'0278}],[0.','5',143,'5,0.668],[0.5,0.668]],cmmi10:[[0.615',360,'139',',krn:{"61":-0.0556,"59":-0.111,"58":-0.111,"127":0.',321,'833',234,'127":0.167}}],[0.','763',360,562,'krn:{"127":0.0833}}],[0.','694',234,576,'742',360,'0757,',580,'831',360,'0812,krn:{"61',458,'59":-0.0556,"58":-0.0556,"127":0.','0556}}],[0.','78',360,'0576,',580,'583',360,'139',572,593,'667',267,580,'612',360,'11,krn:{"61',458,592,593,'772',360,'0502,',580,'64',519,'0037,','krn:{"127":',263,'566',415,434,'0528,',580,'518',433,434,'0556}],[0.444',139,'0378,krn:{"',592,593,'406',198,'krn:{"127":0.0556}}],[0.','438',415,434,'0738,',580,'497',433,434,'0359,',636,'469',139,562,580,'354',198,636,'576',151,'583',143,'603',153,',{',619,263,'494',519,'0637,krn:{"',592,'0278}}],[0.','438',415,434,'046,','krn:{"127":0.111}}],[0.','57',519,'0359}],[0.','517',153,',{',580,'571',519,'0359,krn:{"59',458,'58":-0.',593,'437',519,'113,krn:{"',592,667,'54',519,'0359,',619,263,'596',415,',0.194,{',580,'626',153,',{',636,'651',415,434,'0359,',672,'622',519,675,'466',198,580,'591',',0.694,0,{',580,'828',519,566,'517',153,',{',580,'363',433,',0.0972,{ic:0.','0799,',580,'654',153,',{',619,'0.0833}}],[1',226,'1',226,'1',226,'1',226,'0.278',',0.464,-0.0363],[','0.278',743,'0.5,0.465,-0.0347],[',746,'0.5',151,'5',151,'5',151,'5',153,'],[0.5',153,'],[0.5',153,206,'5',153,206,'5',153,'],[',195,'],[',195,196,'778',',0.539,0.0391],[','0.5,0.75,0.25,{krn:{"1',458,'65',458,'77',458,'78',458,'89":0.0556,"90":-0.',593,'778',772,746,'0.531',139,'0556,',580,'75',234,'127":','0.','139}}],[0.','759',360,'0502,',580,'715',360,'0715,krn:{"61',236,592,321,'828',360,562,636,'738',360,'0576,',580,'643',360,'139',572,321,'786',267,580,'831',360,'0812,krn:{"61',458,592,593,'44',360,'0785,',672,'555',360,'0962',572,'167}}],[0.','849',360,'0715,krn:{"61',458,592,593,'681',234,792,263,'97',360,'109,krn:{"','61',458,592,321,'803',360,848,'61',311,'61',236,592,321,'763',360,562,580,'642',360,'139',572,321,'791,0.683',698,580,'759',360,'00773,',580,'613',360,'0576,krn:{"61',458,592,321,'584',360,'139,krn:{"61',236,592,321,'683',360,848,'59":-0.111,"',684,'111,"61',458,792,263,'583',360,'222',',krn:{"59":-0.167,"58":-0.167,"61":-0.111}}],[0.','944',360,'139',902,'828',360,'0785,krn:{"61',311,'61',236,592,321,'581',360,'222',902,'683',360,'0715,krn:{"61',458,592,321,'389,0.75],[0.389',178,'0.389',178,'1,0.358,-0.142],[',929,'0.417',716,672,'529',151,'429',143,'433',198,636,'52',186,'89":0.0556,"90',458,'106":-0.111,"102":-0.167,"',576,'466',198,636,'49',415,434,'108,krn:{"',592,835,'477',433,434,'0359,',619,263,'576',186,'127":-',263,'345,0.66],[0.412,0.66',434,'0572,krn:{"59',458,684,593,'521',139,'0315}],[0.298',139,'0197,',580,'878',151,'6',151,'485',198,636,'503',153,',{',580,'446',433,434,'0359,',580,'451',519,562,'krn:{"',592,593,'469',198,636,'361,0.615,0,{',580,'572',171,792,263,'485',519,'0359,',619,263,'716',519,'0269,',580,'572',171,792,263,'49',433,434,'0359,',636,'465',519,'044,',636,'322',171,792,263,'384',153,',{',580,'636',153,',{',672,'5,0.714',',0,{ic:0.','154}],[0.278',139,'399}]],cmsy10:[[',194,'0.278,0.444,-0.0556],[',194,746,194,'0.5,0.444,-0.0556],[',194,194,194,194,194,194,194,'1',178,1053,1053,'0.778',743,'0.778,0.464,-0.0363','],[0.778,0.636,0.136',1068,1068,1068,1068,1068,'],[0.778',226,'0.778,0.483,-0.0169],[0.778',772,'0.778',772,'1',772,'1',772,'0.778',772,'0.778',772,'1',226,'1',226,'0.5',178,'0.5',178,'1',226,'1',178,'1',178,'0.778',743,'1',226,'1',226,'0.611',178,'0.611',178,'1',226,'1',178,'1',178,'0.778',151,'275,0.556],[1',151,'667',772,'0.667',772,'0.889',178,'0.889',178,'0',178,'0',226,'0.556',143,'556',143,'667',151,'5',180,'722',143,'722',143,'778',143,'778',143,'611',143,'798',234,'48":0.','194}}],[0.657',360,'0304',',krn:{"48":0.',794,'527',360,'0583',1158,794,'771',360,'0278',1158,321,'528',360,'0894',1158,'111}}],[0.','719',360,'0993',1158,1174,'595',',0.683,0.0972,{ic:0.','0593',1158,1174,'845',360,'00965',1158,1174,'545',360,'0738,krn:{"48":',263,'678',1181,'185',1158,835,'762',360,'0144',1158,593,'69',234,1154,'139}}],[1.2',234,1154,794,'82',360,'147',1158,321,'796',360,1167,1158,1174,'696',360,'0822',1158,321,'817,0.683,0.0972,{krn:{"',1154,1174,'848',234,1154,321,'606',360,'075',1158,794,'545',360,'254,krn:{"48":',263,'626',360,'0993',1158,321,'613',360,'0822,krn:{"48":',263,'988',360,'0822',1158,321,'713',360,'146',1158,794,'668',1181,'0822',1158,321,'725',360,'0794',1158,794,'667,0.556],[0.',1271,1271,1271,1271,'611',143,'611',143,'444',190,'444',190,'444',190,'444',190,'5',190,'5',190,'389',190,'389',190,'278',190,'5',190,'5',190,'611',190,'5',190,'278',178,'0.833,0.04,0.96],[0.75',117,'833',117,'417',415,434,'111}],[0.',1271,'667,0.556',1068,1068,'],[0.444',178,'0.444',178,'0.444',178,'0.611',178,'0.778,0.694,0.13','],[',1328,'],[',1328,'],[',1328,']],cmex10:[[0.458',',0.04,1.16,{n:','16}],[0.458',1336,'17}],[0.417',1336,'104}],[0.417',1336,'105}],[0.','472',1336,'106}],[0.472',1336,'107}],[0.472',1336,'108}],[0.','472',1336,'109}],[0.583',1336,'110}],[0.583',1336,1315,'472',1336,'68}],[0.472',1336,'69}],[0.333',',0,0.6,{delim:{','rep:12}}],[0.556',1363,'rep:13}}],[0.578',1336,'46}],[0.578',1336,'47}],[0.597',',0.04,1.76,{','n:18}],[0.597',1371,'n:19}],[0.736',',0.04,2.36,{n:','32}],[0.736',1375,'33}],[0.528',1375,'34}],[0.528',1375,'35}],[0.583',1375,'36}],[0.583',1375,'37}],[0.583',1375,'38}],[0.583',1375,'39}],[0.75',1375,'40}],[0.75',1375,'41}],[0.75',1375,'42}],[0.75',1375,'43}],[1.04',1375,'44}],[1.04',1375,'45}],[0.792',',0.04,2.96,{n:','48}],[0.792',1403,'49}],[0.583',1403,'50}],[0.583',1403,'51}],[0.639',1403,'52}],[0.639',1403,'53}],[0.639',1403,'54}],[0.639',1403,'55}],[0.806',1403,'56}],[0.806',1403,'57}],[0.806',',0.04,2.96],[','0.806',1423,'1.28',1423,'1.28',1423,'0.811',1371,'n:30}],[0.811',1371,'n:31}],[0.875',1371,'delim:{top:','48,bot:64,rep:66}}],[0.875',1371,1436,'49,bot:65,','rep:67}}],[0.','667',1371,1436,'50,bot:52,rep:54}}],[0.667',1371,1436,'51,bot:53,rep:55}}],[0.667',1371,'delim:{bot:','52,rep:54}}],[0.667',1371,1450,'53,rep:55}}],[0.667',1363,'top:50,rep:54}}],[0.667',1363,'top:51,rep:55','}}],[0.889,0,0.9,{delim:{top:','56,mid:60,bot:58,rep:62',1459,'57,mid:61,bot:59,rep:62',1459,'56,bot:58,rep:62',1459,'57,bot:59,rep:62','}}],[0.889,0,1.8,{delim:{rep:','63',1467,'119}}],[0.889,0,0.3,{delim:{','rep:62}}],[0.','667',1363,'top:120,','bot:121,rep:63}}],[0.','875',1371,1436,'56,bot:59,',1471,'875',1371,1436,'57,bot:58,',1471,'875',1363,'rep:66}}],[0.875',1363,1441,'611',1371,'n:28}],[0.611',1371,'n:29','}],[0.833,0,1,{n:','71}],[1.','11,0.1,1.5],[','0.472,0,1.11,{ic:0.194,n:','73}],[0.556,0,2.22,{ic:0.444}],[1.','11,0,1,{n:','75}],[1.51',',0.1,1.5],[1.',1501,'77}],[1.51',1503,1501,'79}],[1.51',1503,'06,0,1,{n:88}],[','0.944,0,1,{n:','89}],[',1499,'90',1496,'91',1496,'92',1496,'93',1496,'94',1496,'95}],[1.44',1503,'28,0.1,1.5],[0.556,0',',2.22,{ic:0.444}],[1.11',1503,'11',1503,'11',1503,'11',1503,1498,1511,'97}],[1.',1526,'.722,0,{n:99','}],[1,0.75,0,{n:','100','}],[1.44,0.75],[0.','556,0.722,0,{n:102',1540,'103',1542,'472',1371,'n:20}],[0.472',1371,'n:21}],[0.528',1371,'n:22}],[0.528',1371,'n:23}],[0.528',1371,'n:24}],[0.528',1371,'n:25}],[0.667',1371,'n:26}],[0.667',1371,'n:27}],[1',1336,'113}],[1',1371,'n:114}],[1',1375,'115}],[1',1403,'116}],[1.06,0,1.8,{',1436,'118,bot:116,rep:117}}],[1.06,0,0.6],[1.06,0.04,0.56],[0.778',1363,'top:126,','bot:127,rep:119','}}],[0.667',1363,1474,'rep:63}}],[0.667',1363,1475,'45,0.12],[0.',1583,1583,1583,'778',1363,1575,'rep:119}}],[0.778',1363,1576,'}}]],cmti10:[[0.627',360,'133}],[0.818',117,'767',360,'094}],[0.692',117,'664',360,'153}],[0.743',360,'164}],[0.','716',360,'12}],[0.','767',360,1315,'716',360,'0599}],[0.767',360,1315,'716',360,'103}],[0.','613',415,434,'212,krn:{"39":0.104,"63":0.104,"33":0.104,"41":0.104,"93":0.104},lig:{"105":',141,'562',415,434,1619,'588',415,434,1619,'882',415,434,1619,'894',415,434,1619,'307',519,'0767}],[0.','332',433,434,'0374}],[0.511',143,'511',139,'0969','}],[0.511,0.','628',1044,'083}],[0.511',139,'108',1652,'562',1044,1619,'831',143,'46,0,0.17],[0.537',415,434,1343,'716',519,'0751}],[0.716',519,'0751',1652,'528',727,'0919}],[0.883',360,1608,'985',360,1608,'767,0.732,0.0486,{ic:0.094}],[0.256',171,'108":-0.256,"76":-0.321}}],[0.307',139,'124,lig:{"96":',174,'514',139,'0696}],[0.818',415,434,'0662}],[0.769',143,'818,0.75,0.0556,{ic:0.136}],[0.767',139,'0969}],[0.307',139,'124,krn:{"63":0.102,"33":0.102',188,'409',',0.75,0.25,{ic:0.','162}],[0.409',1702,'0369',1652,'75',1044,'149}],[0.767,0.562,0.0567,{ic:0.0369}],[0.307,0.106',196,'358',519,'0283,',199,'123}}],[0.307,0.106],[0.511',1702,'162}],[','0.511,0.644,0,{ic:0.136}],[',1718,1718,1718,'0.511',205,434,'136}],[',1718,1718,'0.511',205,434,'136}],[',1718,1718,'0.307',519,'0582}],[0.307,0.','431',434,1736,'5',434,'0756}],[0.767,0.367,-0.133,{ic:0.0662',1652,'5',196,'511',139,'122,lig:{"96":62}}],[0.767',139,'096}],[0.743',267,'krn:{"110":-0.0256,"108":-0.0256,"114":-0.0256,"117":-0.0256,"109":-0.0256,"116":-0.0256,"105":-0.0256,"67":-0.0256,"79":-0.0256,"71":-0.0256,"104":-0.0256,"98":-0.0256,"85":-0.0256,"107":-0.0256,"118":-0.0256,"119":-0.0256,"81":-','0.0256,"84','":-0.0767,"','89',1754,'86','":-0.102,"','87',1758,'101":-0.0511,"97":-0.0511,"111":-0.0511,"100":-0.0511,"99":-0.0511,"103":-0.0511,"113":-0.0511}}],[0.','704',360,1619,'716',360,'145}],[0.','755',360,'094,krn:{"88','":-0.0256,"','87',1771,'65',1771,'86',1771,'89','":-0.0256}}],[0.','678',360,1608,'653',360,'133,krn:{"','111','":-0.0767,"101":-0.0767,"','117','":-0.0767,"114":-0.0767,"97":-0.0767,"','65',1758,'79":-0.0256,"67":-0.0256,"71":-0.0256,"81":-0.0256}}],[0.','774',360,'0872}],[0.743',360,1605,'386',360,'158}],[0.525',360,'14}],[0.769',360,'145,krn:{"',1792,'627',234,'84',1754,'89',1754,'86',1758,'87',1758,1761,'897',360,1605,'743',360,1605,'767',360,'094,krn:{"88',1771,'87',1771,'65',1771,'86',1771,'89',1779,'678',360,'103',',krn:{"65":-0.0767}}],[0.','767,0.683',434,'094}],[0.729',360,'0387,',1752,'0.0256,"84',1754,'89',1754,'86',1758,'87',1758,1761,'562',360,1608,'716',360,1785,'121',1787,'111',1789,'117":-0.0767,"65":-0.0767}}],[0.','743',360,1605,'743',360,'184,krn:{"111',1787,'117',1789,'65',1758,1792,'999',360,'184',1838,'743',360,'158,krn:{"',1792,'743',360,'194,',380,1754,'111',1789,1864,'613',360,1767,'307',1702,'188}],[0.514',139,'169}],[0.307',1702,1343,'511',139,'0665}],[0.307,0.668',1044,'118}],[0.307',139,1686,405,'511',519,1643,'46',139,'0631,krn:{"',1761,'46',519,'0565,krn:{"',1761,'511',139,'103,krn:{"108":0.0511}}],[0.','46',519,'0751,krn:{"',1761,'307',415,434,1623,431,'46',433,434,'0885}],[0.','511',139,1643,'307,0.655',1044,'102}],[0.307,0.655',434,1767,'46',139,1350,'256',139,1924,'818',519,1643,'562',519,'0767,krn:{"39":-0.102}}],[0.511',519,'0631,krn:{"',1761,'511',433,434,'0631,krn:{"',1761,'46',433,434,1937,'422',519,953,1761,'409',519,'0821}],[0.332,0.615',1044,'0949}],[0.537',519,1643,'46,0.431'],
  [',0,{ic:0.','108}],[0.664,0.431',0,'108,krn:{"108":0.0511','}}],[0.','464,0.431',0,'12}],[0.486,0.431,0.194',',{ic:0.','0885}],[0.409,0.431',0,'123','}],[0.511,0.','431',0,'0921',',lig:{"45":124}}],[1.','02,0.431',0,15,12,'694',0,'122',12,'668',0,'116',12,'668',0,'105}]],cmbx10:[[0.692',',0.686],[0.','958',32,'894',32,'806',32,'767',32,'9',32,'831',32,'894',32,'831',32,'894',32,'831',32,'671',',0.694,0,{ic:0.109,krn:{"39":0.109,"63":0.109,"33":0.109,"41":0.109,"93":0.109},lig:{"105":','14,"108":15',4,'639',',0.694],[0.','639',58,'958',58,'958',58,'319',',0.444],[0.','351',',0.444,0.194','],[0.575,0.','694',69,'694',69,'632',69,'694',69,'596],[0.869',58,'511,0,0.17],[0.597',58,'831',66,'894',',0.444',69,'542,0.0972],[1.04',',0.686','],[1.17',32,'894,0.735,0.0486],[0.319',',0.444,0,{krn:{"','108":-0.319,"76":-0.378',4,'35',',0.694,0,{lig:{"96":','60',4,'603',58,'958,0.','694,0.194',69,'75,0.0556],[0.',101,104,'894',58,'319',',0.694,0,{krn:{"','63":0.128,"33":0.128},lig:{"39":34',4,'447',',0.75,0.25],[0.','447,0.75,0.25',69,'75],[0.894,0.633,0.133],[','0.319,0.156',',0.194],[0.','383',85,',0,{lig:{"45":123}}],[',118,69,'75,0.25',69,'644',69,'644',69,'644',69,'644',69,'644',69,'644',69,'644',69,'644',69,'644',69,'644],[0.319',66,'319',68,'],[0.35,0.5',119,'894,0.391,-0.109],[0.543,0.5',119,'543',96,'62',4,'894',58,'869',',0.686,0,{krn:{"','116','":-0.0319,"','67',162,'79',162,'71',162,'85',162,'81',162,'84":-0.0958,"89":-0.0958,"86":-0.128,"87":-0.128}}],[','0.818',32,'831',32,'882',160,'88',162,'87',162,'65',162,'86',162,'89','":-0.0319}}],[0.','756',32,'724',160,'111','":-0.0958,"','101',195,'117','":-0.0958,"114":-0.0958,"97":-0.0958,"65":-0.','128,"79',162,'67',162,'71',162,'81',189,'904',32,'9',32,'436',160,'73":0.0319',4,'594',32,'901',160,'79',162,'67',162,'71',162,'81',189,'692',160,173,'1.09',32,'9',32,'864',160,'88',162,'87',162,'65',162,'86',162,'89',189,'786',160,'65',195,'111',162,'101',162,'97',162,'46',195,'44','":-0.0958}}],[0.','864',88,119,'862',160,'116',162,'67',162,'79',162,'71',162,'85',162,'81',162,173,'0.639',32,'8',160,'121',162,'101',195,'111',199,'0958,"117',260,'885',32,'869',88,0,'016,krn:{"','111',195,'101',195,'117',199,'128,"79',162,'67',162,'71',162,'81":-0.0319}}],[1.19',88,0,296,'111',195,'101',195,'117',199,'128,"79',162,'67',162,'71',162,'81',189,'869',160,'79',162,'67',162,'71',162,'81',189,'869',88,0,'0287,','krn:{"101',195,'111',199,'0958,"117',260,'703',32,'319',114,'603',58,'319,0.75,0.25',69,'694],[0.319',58,'319',96,'92',4,'559',92,'118',162,'106":0.','0639,"121',162,'119',189,'639',110,'101','":0.0319,"','111',373,'120',162,'100',373,'99',373,'113',373,'118',162,365,'0639,"121',162,'119',189,'511',92,'104',162,'107',189,'639',58,'527',66,'351',54,'12,"102":11,"108":13',4,'575',68,8,296,365,'0319',4,'639',110,'116',162,'117',162,'98',162,'121',162,'118',162,'119',189,'319',58,'351,0.694',119,'607',110,'97":-0.0639,"101',162,'97',162,'111',162,'99',189,'319',58,'958',92,'116',162,'117',162,'98',162,'121',162,'118',162,'119',189,'639',92,'116',162,'117',162,'98',162,'121',162,'118',162,'119',189,'575',92,'101',373,'111',373,'120',162,'100',373,'99',373,'113',373,'118',162,365,'0639,"121',162,'119',189,'639',68,',{',341,373,'111',373,'120',162,'100',373,'99',373,'113',373,'118',162,365,'0639,"121',162,'119',189,'607',68,'],[0.474',66,'454',66,'447,0.635,0,{krn:{"121',162,'119',189,'639',92,'119',189,'607',85,0,296,'97":-0.0639,"101',162,'97',162,'111',162,'99',189,'831',85,0,296,'101',162,'97',162,'111',162,'99',189,'607',66,'607',68,8,296,'111',162,'101',162,'97',162,'46',195,'44',260,'511',85,69,'444',0,'0319',16,'15',85,0,'0319}],[0.575,0.694',69,'694',69,'694]]};','jsMath.Img','={fonts:[50,60,70,85,100,120,144,173,207,249,298,358,430],w:{"50":6.9,"60":8.3,"70":9.7,"85":11.8,"100":13.9,"120":16.7,"144":20,"173":24,"207":28.8,"249":34.6,"298":41.4,"358":49.8,"430":59.8},best:4,update:{},factor:1,loaded:0,SetFont',':function(','_8d){for(var _8e in _8d){if(!','this.update[_8e',']){',586,']=[];}',586,']=',586,'].concat(_8d[_8e]);}},AddFont',584,'_8f,def){if(!',582,'[_8f]){',582,'[_8f]={};}','jsMath.Add(',582,'[_8f],def);},UpdateFonts',':function(){','var _91=this.update;','if(!this.loaded){return;}','var _92=this[','jsMath.Img.fonts','[this.best]];','for(var _93 in _91){','for(var i=0;i<','_91[_93].length;i++){var c=_91[_93][i];if(c=="all"){for(c in ','jsMath.TeX[','_93]){',612,'_93][c].img','={};}}else{',612,615,'={};}}}this.update={};},BestSize',603,'var w=jsMath.em*this.factor;var m=','this.w[this.fonts[','0]];for(var i=1;i<','this.fonts','.length;i++){','if(w<(',622,'i]]+2*m)/3){','return ','i-1;}m=',622,'i]];}',629,'i-1;},Scale',603,605,'this.best=this.BestSize();this.em=',582,'.w[',624,608,'this.scale','=(jsMath.em/this.em);','if(Math.abs(',642,'-1)<0.12){',642,'=1;}},URL',584,'_99,_9a,C){var _9c=(','jsMath.Controls.cookie.','alpha)?"/alpha/":"/plain/";if(C==null){C="def.js";}else{C="char"+C+".png";}if(_9a!=""){_9a+="/";}','return this','.root+_99+_9c+_9a+C;},LoadFont',584,'_9d){if(',651,'print){',651,'print=0;var _9e=jsMath.Element("button");if(_9e){_9e.style.display="none";}this.factor*=3;if(jsMath.window.location.protocol!="file:"){jsMath.Controls.SetCookie(0);}if(','jsMath.Browser.','alphaPrintBug){',651,'alpha=0;}}this.loaded=1;jsMath.Setup.Script(this.URL(_9d,""));}};jsMath.HTML={Em',584,'m){var n=5;if(m<0){n++;}',644,'m)<0.000001){m=0;}var s=String(m);s=s.replace(/(\\.\\d\\d\\d).+/,"$1");',629,'s+"em";},Spacer',584,'w){if(w','==0){return "";}',629,661,'msieSpaceFix+"<span style=\\"margin-left',': "+this.Em(w-',661,'spaceWidth',')+"\\">"+',661,'hiddenSpace+"</span','>";},Rule',584,'w,h){if(h==null){h=jsMath.TeX.default_rule_thickness;}','if(w==0||h',673,'w*=',661,'imgScale',';h=Math.round(h*jsMath.em*',661,690,'+0.25);if(h<1){h=1;}return "<','img src=\\""+jsMath.blank','+"\\" hspace=\\"0\\" vspace=\\"0\\" "+"style=\\"width',':"+this.Em(','w)+"; height:1px; "+"','vertical-align',':-1px; "+"border:0px none; border-top:"+h+"px solid\\" />";},Class',584,'_a5,_a6){return "<span class=\\""+_a5+"\\">"+_a6+"</span>";},Place',584,'_a7',',x,y){if(Math.abs(x)<0.0001){x=0;}if(Math.abs(y)<0.0001){y=0;}','if(x||y){var _aa','="<span style=\\"position: ','relative',';";if(x){_aa+=" margin-left',697,'x)+";";}if(y){_aa+=" ','top:"+this.Em(-y',')+";";}_a7=_aa+"\\">"+_a7','+"</span>";}',629,'_a7;},PlaceSeparateSkips',584,'_ab',705,'if(y){_ab',707,708,'; ',712,')+";"+"\\">"+_ab',714,'if(x){_ab=',661,676,697,'x-',661,679,')+";\\">"+',661,682,'>"+_ab',';}return ','_ab;},PlaceAbsolute',584,'_ae',705,'_ae',707,'absolute; left',697,'x)+"; "+"top',697,'y',734,'_ae+"&nbsp;</span>";',629,'_ae;},Absolute',584,'_b1,w,h,d,y,H){var _b7="";if(d&&d!="none"){_b7=" ',699,': "+','jsMath.HTML.','Em(-d)+";";}if(y!="none"){',644,'y)<0.0001){y=0;}_b1',707,'absolute; "+"top:"+',758,'Em(y)+"; left: 0em',';\\">"+_b1','+"&nbsp;"+"</span>";}_b1+="<',695,'+"\\" style=\\""+"width:"+',758,'Em(w*',661,690,')+"; "+"height:"+',758,'Em(h*',661,690,')+";"+_b7+"\\" />";if(',661,'msieAbsoluteBug){_b1',707,708,766,714,'_b1',707,708,';"+" width: "+',758,'Em(w)+";"+" height: "+',758,'Em(H)+";"+',661,'msieInlineBlockFix+"\\">"+_b1+"</span>";',629,'_b1;}};','jsMath.Box','=function(','_b8,_b9,w,h,d){if(d==null){d=jsMath.d;}this.type="typeset";this.w=w;this.h=h;this.d=d;this.bh=h;this.bd=d;this.x=0;this.y=0;','this.html','=_b9;this.format=_b8;};',600,798,',{defaultH:0,Null:new ',798,'("null","",0,0,0),Text',584,'_bd,_be,_bf,_c0,a,d){var _c3=','jsMath.Typeset.AddClass(','_be,_bd);_c3=','jsMath.Typeset','.AddStyle(_bf,_c0,_c3);var BB','=jsMath.EmBoxFor(','_c3);var TeX=',812,'.TeX(_bf,_c0);var bd=((_be=="cmsy10"||_be=="cmex10")?BB.h-TeX.h:TeX.d*BB.h/TeX.hd);','var box=new jsMath.Box("text",','_bd,BB.w,BB.h-bd,bd);box.style=_bf;box.size=_c0;','box.tclass','=_be;if(d!=null){if(d!=1){box.d=d;}}else{box.d=0;}if(a==null||a==1){box.h=0.9*TeX.M_height;}else{box.h=1.1*TeX.x_height+1*a;}','return box;},','TeX',584,'C,_c9,_ca,_cb){var c=',612,'_c9][C];if(','c.d==null){c.d=0;}','if(c.h==null){c.h=0;}if(c.img!=null&&c.c!=""){this.TeXIMG(_c9,C,',812,'.StyleSize(_ca,_cb));}var _cd=',812,'.TeX(_ca,_cb).scale;var h=c.h+',612,'_c9].dh;',818,'c.c,c.w*_cd,h*_cd,c.d*_cd);box.style=_ca;box.size=_cb;if(c.tclass){',820,'=c.tclass;box.bh=_cd*jsMath.h;box.bd=_cd*jsMath.d;}else{',820,'=_c9;box.bh=_cd*',612,'_c9','].h;box.bd=','_cd*',612,'_c9].d;if(',661,'msieFontBug){box.html+="<span style=\\"display: none\\">x</span>";}}if(c.img!=null){box.bh=c.img.bh;box.bd=c.img.bd;',820,'="normal";}',822,'TeXIMG',584,'_d0,C,_d2){var c=',612,'_d0][C];if(c.img.size!=null&&c.img.size==_d2&&c.img.best!=null&&c.img.best==','jsMath.Img.best','){return;}var _d4=(',582,'.scale!=1);var id=',858,'+_d2-4;if(id<0){id=0;_d4=1;}else{if(id>=',607,'.length){','id=',607,'.length-1',';_d4=1;}}var _d6=',582,'[',607,'[id]];var img=_d6[_d0][C];var _d8=1/',582,'.w[',607,'[id]];if(id!=',858,'+_d2-4){if(c.w!=null){_d8=c.w/img[0];}else{_d8*=',607,'[_d2]/',607,'[4]*',607,'[',858,']/',607,'[id];}}var w=img[0]*_d8;var h=img[1]*_d8;var d=-img[2]*_d8;var v;var _dd=(c.w==null||Math.abs(c.w-w)<0.01)?"":" margin-right:"+',758,'Em(c.w-w)+";";var _de="";C=this.HexCode(C);if(!_d4&&!',651,'scaleImg){if(2*w<h||(',661,'msieAlphaBug&&',651,'alpha)){_de="height',':"+(img[1]*',661,690,')+"px;";}_de+=" width:"+(img[0]*',661,690,')+"px;";v=-img[2]+"px";}else{if(2*w<h||(',661,'msieAlphaBug&&',651,897,':"+',758,'Em(h*',661,690,')+";";}_de+=" width:"+',758,'Em(w*',661,690,')+";";v=',758,'Em(d);}var _df=(Math.abs(d)<0.01&&!',661,'valignBug)?"":" ',699,':"+v+";";var URL=',582,'.URL(_d0,',607,'[id],C);if(',661,'msieAlphaBug&&',651,'alpha){c.c="<',695,'+"\\" "+"','style=\\""+',661,'msieCenterBugFix+_de+_df+_dd','+" filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(src="+"\'"+URL+"\', sizingMethod=\'scale\'"+");\\" />";}else{c.c="<img src=\\""+URL+"\\" ',936,661,938,'+"\\" />";}c.tclass="normal";c.img.bh=h+d;c.img.bd=-d;c.img.size=_d2;c.img.best=',858,';},HexCode',584,'C){var _e2="0123456789ABCDEF";var h=Math.floor(C/16);var l=C-16*h;',629,'_e2.charAt(h)+_e2.charAt(l);},Space',584,'w){',629,'new jsMath.Box("html",',758,'Spacer(w),w,0,0);},Rule',584,685,'var _e8=',758,'Rule(w,h);',629,953,'_e8,w,h,0);},GetChar',584,'_e9,_ea){var c=',612,'_ea][_e9];','if(c.img!=null){this.TeXIMG(','_ea,_e9,4);}if(c.tclass==null){c.tclass=_ea;}if(!c.computedW){c.w',814,810,'c.tclass,c.c)).w',';if(c.h==null){c','.h=jsMath.Box.defaultH;}if(',828,'c.computedW=1',738,'c;},DelimBestFit',584,'H,c,_ee,_ef){if(c==0&&_ee','==0){return null;}','var C;var h;_ee','=jsMath.TeX.fam[','_ee];var _f2=(_ef.charAt(1)=="S");var isS=(_ef.charAt(0)=="S");while(c!=null){C=',612,'_ee][c];if(C.h==null){C',974,'C.d==null){C.d=0;}h=C.h+C.d;','if(C.delim','){return [c,_ee',',"",H];}if(_f2&&0.5*h>=H',990,',"SS",0.5*h];}if(isS&&0.7*h>=H',990,',"S",0.7*h];}if(h>=H||C.n==null',990,',"T",h];}c=C.n',738,'null;},DelimExtendRelative',584,'H,c,_f6,a,_f8){var C=',612,'_f6][c];var top','=this.GetChar(C.delim.','top?C.delim.top:C.delim.rep,','_f6);var ','rep',1004,'rep,',1006,'bot',1004,'bot?C.delim.bot:C.delim.rep,',1006,'ext=',810,'rep.tclass,rep.c);','var w=rep.w;var h=','rep.h+rep.d',';var y;var dx;',989,'.mid){var mid',1004,'mid,_f6);','var n=Math.ceil((H-(top.h+top.d)-(','mid.h+mid.d',')-(','bot.h+bot.d','))/(2*(',1019,')));H=2*n*(',1019,')+(top.h+top.d)+(',1026,')+(',1028,');if(_f8){y=0;}else{y=H/2+a;}var Y=y',';var html=',758,'Place(',810,'top.tclass,top.c),0,','y-top.h)+',758,1040,810,'bot.tclass,bot.c),-(','top.w+bot.w)/2,y-(H-bot.d))+',758,1040,810,'mid.tclass,mid.c','),-(bot.w+mid.w)/2,y-(H+mid.h-mid.d)/2);dx=(w-mid','.w)/2;if(Math.abs(dx)<0.0001){dx=0;}if(dx){html+=jsMath.HTML.Spacer(dx);}y-=top.h+top.d+rep.h;for(var i=0;i<n;i++){html+=jsMath.HTML.Place(ext,-w,y-i*h);}','y-=H/2-rep.h/2;',610,'n;i++){','html+=',758,1040,'ext,-w,y-i*h);}}else{',1025,1028,'))/(',1019,'));if(top.h+top.d<0.9*(',1019,')){n=Math.max(1,n);}H=n*(',1019,1033,1028,');if(_f8){y=0;}else{y=H/2+a;}var Y=y',1038,758,1040,810,1042,'y-top.h);dx=(w-top',1054,1058,758,1040,810,1047,'w+bot.w)/2,Y-(H-bot.d));}if(_f8){h=top.h;}else{h=H/2+a;}','var box=',953,'html,rep.w,h,H-h',');box.bh=',612,'_f6',844,612,'_f6].d;',822,'DelimExtendAbsolute',584,'H,c,font,a,_111){var Font=',612,'font];var ','C=Font[c];var top',1004,1005,'font);var rep',1004,'rep,font);var bot',1004,1013,'font);',989,'.mid){var mid',1004,'mid,font);',1025,1026,'-0.05)-(',1028,'-0.05))/(','2*(','rep.h+rep.d-0.05',')));H=2*n*(',1120,1033,1026,'-0.05)+(',1028,'-0.05);html=','jsMath.HTML.PlaceAbsolute(',810,1042,'0);var h=',1120,';var y=top.d-0.05+rep.h;var ext=',810,'font,rep.c);',610,'n;i++){',1058,1128,'ext,0,y+i*h);}',1058,1128,810,1052,'),0,y+n*h-rep.h+mid.h);y+=n*h+',1026,'-0.05;',610,'n;i++){',1058,1128,'ext,0,y+i*h);}',1058,1128,810,'bot.tclass,bot.c),0,y+n*h-rep.h+bot.h);}','else{',1025,1028,1118,1120,'));H=n*(',1120,1033,1028,'-0.05);html=',1128,810,1042,'0);var h=',1120,';var y=top.d-0.05+rep.h;var ext=',810,1017,610,'n;i++){',1058,1128,'ext,0,y+i*h);}',1058,1128,810,1156,'var w=top.w;if(_111){h=top.h;y=0;}else{h=H/2+a;y=h-top.h;}html=',758,'Absolute(html,w,','Font.h,"none",-y,top.h);',1086,953,'html,rep.w,h,H-h',1089,612,'font',844,612,'font].d;',822,'Delimiter',584,'H,_126,_127,_128){var size=4;var TeX=',812,'.TeX(_127,size);if(!_126','){return this.Space(TeX.nulldelimiterspace);}','var ','CFSH=this.DelimBestFit(H,_126[','2],_126[1],_127);','if(CFSH==null','||CFSH[3]<H){',1205,'4],_126[3],_127);}',1207,1203,'if(CFSH[2]==""){',653,'.DelimExtend(H,','CFSH[0],CFSH[1],','TeX.axis_height',',_128);}box=',798,'.TeX(',1216,'CFSH[2],size',').Styled();if(_128){box.y=-',612,'CFSH[1]].dh*TeX.scale;}else{box.y=-((box.h+box.d)/2-box.d-',1217,');}',644,'box.y)<0.0001){box.y=0;}if(box.y','){box=jsMath.Box.SetList','([box],',1222,');}',822,'GetCharCode',584,'code){var font',983,'code[0]];var Font=',612,1100,'c=Font[code[1]];',968,'font,code[1],4);}if(c.w==null){c.w',814,810,972,';}if(c.font==null){c.font=font',738,'c;},AddClass',584,'_130,html',',font){if(_130==null){_130=font',738,810,1252,');},LayoutRelative',584,'size,_134,_135,_136){if(_135==null){_135=[];}if(_136==null){_136=[];}var _137=jsMath.sizes[size]/100',';var W=[];var H=[];var D=[];var ','_13b=-1000;var bh=_13b;var bd=_13b',';var i;var j;var row;for(i=0;i<','_134',625,'row=_134','[i];H[i]=jsMath.h*','_137',';D[i]=jsMath.d*','_137',';for(j=0;j<','row.length;j++){row[j]=row[j].Remeasured();if(row[j].h>H[i]){H[i]=row[j].h;}if(row[j].d>D[i]){D[i]=row[j].d;}if(j>=W.length){W[j]=row[j].w;}else{if(row[j].w>W[j]){W[j]=row[j].','w;}}if(row[j].bh>bh){bh=row[j].bh;}if(row[j].bd>bd){bd=row[j].bd;}}}if(bh==_13b){bh=0;}if(bd==_13b){bd=0;}','var HD=(jsMath.hd-0.01)*','_137;','var html="";var ','pW=0;var cW=0;var w;var h;var y;var box;var _149;var _14a',';for(j=0;j<W.length;j++){','_149=[];y=-H[0];pW=0',';for(i=0;i<','_134',625,'_14a=_134[i][j];if(_14a&&_14a','.format!="null"){if(','_135[j]=="l"){w=0;}else{if(_135[j]=="r"){w=W[j]-_14a.w;}else{w=(W[j]-_14a.w)/2;}}_14a.x=w-pW;pW=_14a.w+w;_14a.y=y;_149[_149.length]=_14a;}if(i==_134',868,'){y-=D[i];}else{y-=','Math.max(HD,D[i]+H[i+1])+','_137/10;}}if(_136[j]==null){_136[j]=_137;}if(_149.length>0',1230,'(_149,"T",size);',1058,758,1040,'box.html,cW,0);cW=W[j]-box.w+_136[j];}else{cW+=_136[j];}}w=-_136[W',868,'];y=(H',868,')*_137/10',1279,'W',625,'w+=W[i]+_136[i];}','for(i=0;i<H.length;i++){y+=Math.max(HD,H[i]+D[i]);}h=y/2+jsMath.TeX.axis_height;var d=y-h;',1058,758,'Spacer(cW-_136[W',868,']+_137/6);html=',758,1040,'html,_137/6,h);box=',953,'html,w+_137/3,h,d',1089,'bh;box.bd=bd;',822,'LayoutAbsolute',584,'size,_14d,_14e,_14f){if(_14e==null){_14e=[];}if(_14f==null){_14f=[];}var _150=jsMath.sizes[size]/100;',1273,'_150',1260,'w=0;var h;var x;var y',1262,'_14d',625,'row=_14d',1266,'_150',1268,'_150',1270,1271,'w;}}}}y=(H',868,')*_150/6;',1303,1275,'_15e;w=_150/6',1277,'y=H[0]-h',1279,'_14d',625,'_15e=_14d[i][j];if(_15e&&_15e',1283,'_14e[j]=="l"){x=0;}else{if(_14e[j]=="r"){x=W[j]-_15e.w;}else{x=(W[j]-_15e.w)/2;}}',1058,1128,'_15e.html,w+x,y-Math.max(0,_15e.bh-jsMath.h*_150));}if(i==_14d',868,'){y+=D[i];}else{y+=',1287,'_150/6;}}if(_14f[j]==null){_14f[j]=_150;}w+=W[j]+_14f[j];}w=-_14f[W',868,']+_150/3',1279,'W',625,'w+=W[i]+_14f[i];}html=',758,'Spacer(_150/6',')+html+',758,1362,');if(',661,'spanHeightVaries){y=h-jsMath.h;}else{y=0;}html=',758,1186,'h+d,d,y,H[0]);',1086,953,'html,w+_150/3,h,d);',822,'InternalMath',584,'text,size){if(!text.match(/\\$|\\\\\\(/)){',653,'.Text(text,"normal","T",size).Styled();}var i=0;var k=0;var c;var _165="";var _166=[];var _167;var html;var box;while(i<text',865,'c=text.charAt(i++);if(c','=="$"){if(_165=="$"){','_167=jsMath.Parse(text.slice(k,i-','1','),null,size);if(_167.error){_166[_166.length]=this.Text(_167.error,"error","T",size,1,1);}else{_167.Atomize();_166[_166.length]=_167.mlist.Typeset("T",size).Styled();}_165="";k=i',';}else{','_166[_166.length]=this.Text(text.slice(k',',i-1','),"normal","T",size,1,1);','_165="$";k=i;}}else{if(c=="\\\\"){',1382,'=="("&&_165==""){',1388,',i-2',1390,'_165=")";k=i;}else{if(c==")"&&_165==")"){',1384,'2',1386,';}}}}}',1388,1390,653,'.SetList(_166,"T",size);},Set',584,'box',',_16b,size',',_16d){if(box){','if(box.type=="','typeset"){',629,'box;}',1410,'mlist"){box.mlist.Atomize(_16b,size);',629,'box.mlist.Typeset(_16b,size);}',1410,'text"){box=this.Text(box.text,',820,1408,',box.ascend,box.descend',');if(_16d!=0){box.Styled();}return box;}','box=this.TeX(box.c,box.font',1408,1423,629,798,'.Null;},SetList',584,'_16e,_16f,size){var _171=[];var box;',610,'_16e',625,'box=_16e[i];',1410,1411,'box=','jsMath.mItem','.Typeset(box);}_171[_171.length]=box;}var _174=new ',812,'(_171);',629,'_174.Typeset(_16f,size);}});','jsMath.Package(jsMath.','Box,{Styled',603,'if(this.format=="text"){',801,'=',810,'this.tclass,',801,');',801,'=',812,'.AddStyle','(this.style,this.size,',801,');','delete this.','tclass;',1462,'style;this.format="html";}',653,';},Remeasured',603,'if(this.w>0&&!',801,'.match(/position: ?absolute/)){this.w',814,801,').w;}',653,';}});',1439,799,'type,def){this.type=type;',600,'this,def);};',600,1439,',{Atom',584,'type,_178','){return new jsMath.mItem','(type,{atom:1,nuc',':_178});},TextAtom',584,'type,text,_17b,a,d){var atom=new ',1439,1488,':{type:"text",text:text,tclass:_17b}});if(a','!=null){atom.nuc.','ascend=a;}if(d',1495,'descend=d',738,'atom;},TeXAtom',584,'type,c,font',1487,1488,':{type:"TeX",c:c,font:font}});},Fraction',584,'name,num,den,_185,left,_187',1487,'("fraction",{from:name,num:num,den:den,thickness:_185,left:left,right:_187});},Space',584,'w',1487,'("space",{w:w});},Typeset',584,'box',1487,'("box",{nuc:box});},HTML',584,'html',1487,'("html",{html:html});}});jsMath.mList',799,'list,font,size,_18e){if(list){','this.mlist','=list;}else{',1524,'=[];}if(_18e==null){_18e="T";}if(size==null){size=4;}this.data={openI:null,overI:null,overF:null,font:font,','size:size,style:_18e','};this.init={',1528,'};};',1445,'mList,{Add',584,'box){return (',1524,'[','this.mlist.length',']=box);},Get',584,'i){',653,'.mlist[','i];},Length',603,629,1538,';},Last',603,'if(',1538,981,653,1543,1538,'-1];},Range',584,'i,j){if(j==null){j=',1538,738,'new jsMath.mList','(',1524,'.slice(i,j+1));},Delete',584,1558,'i;}if(',1524,'.splice){',1524,'.splice(i,j-i+1);}else{var _195=[];for(var k=0;k<',1538,';k++){if(k<i||k>j){_195[_195.length]=',1524,'[k];}}',1524,'=_195;}},Open',584,'left){',1086,'this.Add(new ',1439,'("boundary",{','data:this.data}));var _199=this.data;this.data={};for(var i in _199){this.data[i]=_199[i];}',1462,'data.overI;',1462,'data.overF;this.data.openI=',1538,'-1;if(left!=null){box.left=left;}',822,'Close',584,'_19b){if(_19b!=null){_19b=new ',1439,1583,'right:_19b});}var atom;var open=this.data.openI;','var over=this.data.overI;var from=this.data.overF;','this.data=',1524,'[open].data;if(over){','atom=jsMath.mItem.Fraction(from.name,{type:"mlist",mlist:this.Range(open+1,over-1)},{type:"mlist",mlist:this.Range(over)},from.thickness,from.left,from.right);','if(_19b){var _1a0=',1561,'([',1524,'[open],atom,_19b]);atom=',1439,'.Atom("inner','",{type:"mlist",mlist:','_1a0});}}else{var _1a1=open+1;if(_19b){this.Add(_19b);_1a1--;}atom=',1439,'.Atom((_19b)?"inner":"ord',1610,'this.Range(_1a1)});}this.Delete(open,this.Length());',653,'.Add(atom);},Over',603,1598,'var ',1602,1524,'=[atom];},Atomize',584,'_1a5,size){var _1a7;var prev="";this.style=_1a5;this.size=size;',610,1538,';i++){_1a7=',1524,'[i];_1a7.delta=0;if(_1a7.type=="choice"){',1524,'=this.Atomize.choice(this.style,_1a7,i,',1524,');i--;}else{if(','this.Atomize[_1a7.type',']){var f=',1635,'];f',1459,'_1a7,prev,this,i);}}prev=_1a7;}if(_1a7&&_1a7.type=="bin"){_1a7.type="ord";}if(',1538,'>=2&&_1a7.type=="boundary"&&',1524,'[0].type=="boundary"){this.','AddDelimiters','(_1a5,size);}},',1645,584,'_1'],
  ['ab,size','){var ','_1ad=-10000',';var ','h=_1ad',3,'d=_1ad;for(var i=0;i<','this.mlist','.length',';i++){mitem=',7,'[i];if(mitem.atom||mitem.type=="box"){h','=Math.max(','h,','mitem.nuc.','h+',14,'y);d',12,'d,',14,'d-',14,'y);}}var TeX','=jsMath.TeX',3,'a=','jsMath.Typeset.','TeX(_1ab,size).','axis_height',3,'_1b3',12,'h-a,d+a);var H',12,'Math.floor(','TeX.integer','*_1b3/500)*TeX.delimiterfactor,',36,'*(2*_1b3-TeX.delimitershortfall))/',36,3,'left=',7,'[0];var _1b6=',7,'[',7,8,'-1];left.nuc','=jsMath.Box.','Delimiter(H,','left.left',',_1ab);_1b6.nuc',50,51,'_1b6.right',',_1ab);left.type="open";left','.atom=1;delete ',52,';_1b6.type="','close','";_1b6',58,56,';},Typeset',':function(','_1b7,size',1,'_1b9=new ','jsMath.Typeset','(',7,');return _1b9.Typeset(',67,');}});jsMath.Add(jsMath.mList.prototype.Atomize,{style',66,'_1ba,size,_1bc,prev,_1be){_1be.style=_1bc.style;},size',66,'_1bf,size,_1c1,prev,_1c3){_1c3.size=_1c1.size;},phantom',66,'_1c4,size,_1c6',1,'box=','_1c6.nuc',50,'Set(','_1c6.phantom',',_1c4',',size);','if(_1c6.h){box','.Remeasured();','box','.html=','jsMath.HTML.','Spacer(','box.w);}else{','box.html="",box.w=0;}if(!_1c6.v){','box.h=box.d=','0;}','box.bd=box.bh=0;delete ',87,';_1c6','.type="box";},','smash',66,'_1c8,size,_1ca',1,83,'_1ca.nuc',50,86,'_1ca.smash',',_1c8,','size).Remeasured();',98,100,112,';_1ca',103,'raise',66,'_1cc,size,_1ce){','_1ce.nuc',50,86,123,',_1cc',',size);var ','y=_1ce.raise;',123,93,94,'Place(',123,'.html,0,y);',123,'.h+=y;',123,'.d-=y;_1ce','.type="ord";','_1ce.atom=1;},lap',66,'_1d0,size,_1d2',1,'box',50,86,'_1d2.nuc',',_1d0,',114,'var _1d4=[box];','if(_1d2.lap=="','llap"){','box.x=-box.w',';}else{',152,'rlap"){_1d4[1]=','jsMath.mItem.Space','(-',96,152,'ulap"){box.y=box.d;',98,'0',155,152,'dlap"){box.y=-box.h;',98,'0;}}}}',148,50,'SetList','(_1d4,_1d0',89,152,'ulap"||_1d2.lap=="dlap"){',148,'.h=',148,'.d=0;}_1d2.type="box";delete _1d2.atom;},bin',66,'_1d5,size,_1d7',',prev){if(prev',1,'type=prev.type;if(type=="bin','"||type=="','op',186,'rel',186,'open',186,'punct','"||type==""||(type=="boundary"&&prev.left!="")){_1d7','.type="ord','";}}else{_1d7',195,'";}','jsMath.mList.prototype.Atomize.SupSub(',182,');},','rel',66,'_1da,size,_1dc',183,'.type=="bin','"){prev',195,'";}',199,204,201,61,66,'_1de,size,_1e0',183,206,'"){prev',195,'";}',199,215,201,193,66,'_1e2,size,_1e4',183,206,'"){prev',195,'";}',199,226,201,'open',66,'_1e6,size,_1e8','){',199,237,201,'inner',66,'_1e9,size,_1eb','){',199,244,201,'vcenter',66,'_1ec,size,_1ee',1,'box',50,86,'_1ee.nuc,_1ec',128,'TeX=',27,'TeX(_1ec',89,'box.y=TeX.',29,'-(box.h-box.d)/2;_1ee.nuc=box;_1ee',140,199,251,201,'overline',66,'_1f1,size,_1f3',1,'TeX=',27,'TeX(_1f1',128,'box',50,86,'_1f3.nuc',',',27,'PrimeStyle','(_1f1),',114,'var t=','TeX.default_rule_thickness',3,'rule',50,'Rule(box.w,t);rule.x=-rule.w;rule.y','=box.h+3*t;',280,50,'SetList([box,','rule],_1f1',89,280,'.h+=t;_1f3',140,199,271,201,'underline',66,'_1f8,size,_1fa',1,'TeX=',27,'TeX(_1f8',128,'box',50,86,'_1fa.nuc',',',27,283,'(_1f8),',114,286,287,3,'rule',50,291,'=-box.d-3*t-t;',315,50,295,'rule],_1f8',89,315,'.d+=t;_1fa',140,199,306,201,'radical',66,'_1ff,size,_201',1,'TeX=',27,'TeX(_1ff',128,'Cp=',27,283,'(_1ff',');var box',50,86,'_201.nuc,Cp,',114,286,287,3,'p=t;if(_1ff=="D"||_1ff=="D\'"){p=TeX.x_height;}var r=t+p/4',3,'surd',50,'Delimiter(','box.h+box.d','+r+t,[0,2,112,3,112],_1ff,1);t=surd.h;if(surd.d>',364,'+r){r=(r+surd.d-box.h-box.d)/2;}surd.y=box.h+r',3,'rule',50,'Rule(box.w,t);rule.y=surd.y-t/2;rule.h+=3*t/2;',154,3,'Cr=',27,'UpStyle(',27,376,'_1ff));var root',50,86,'_201.root,Cr,',114,'if(_201.root){root.y=0.55*(',364,'+3*t+r)-box.d;surd.x',12,'root.w-(11/18)*surd.w,0);rule.x=(7/18)*surd.w;root.x=-(root.w+rule.x);}_201.nuc',50,172,'([surd,root,rule,box],_1ff',89,'_201',140,199,341,201,'accent',66,'_20c,size,_20e',1,'TeX=',27,'TeX(_20c',128,'Cp=',27,283,'(_20c',351,50,86,'_20e.nuc',',Cp',128,'u=box.w',3,'s',3,'Font;if(_20e.','nuc.type=="TeX','"){Font',24,'[',413,'.font];if(','Font[_20e.nuc.c].krn','&&Font.skewchar){s=',427,'[Font.skewchar];}}if(s==null){s=0;}var c=_20e.accent[2];var font',24,'.fam[_20e.accent[1]];Font',24,'[font];while(Font[c].n&&Font[Font[c].n].w<=u){c=Font[c].n;}var _217=Math.min(box.h,TeX.','x_height);','if(_20e.',421,'"){var _218=jsMath.mItem.Atom("ord",',413,');_218.sup=_20e.sup;_218.sub=_20e.sub;_218.delta=0;',199,'_20c,size,_218);_217+=(_218.nuc.h-box.h);',83,413,'=_218.nuc;delete _20e.sup;delete _20e.sub;}var acc',50,'TeX(c,font,_20c',89,'acc.y=box.h-_217;acc.x=-box.w+s+(u-acc.w)/2;if(Font[c].ic){acc.x-=Font[c].ic*TeX.scale;}',413,50,295,'acc],_20c',89,'if(',413,'.w!=box.w',1,'_21a=',158,'(box.w-',413,'.w);',413,50,172,'([',413,',_21a],_20c,size);}_20e',140,199,400,201,'op',66,'_21b,size,_21d',1,'TeX=',27,'TeX(_21b',128,'box;_21d.delta=0',3,'isD=(_21b','.charAt(0)=="','D");if','(_21d.limits','==null&&isD){_21d.limits=1;}if(_21d.',421,'"){var C',24,'[_21d.nuc.font][','_21d.nuc','.c];if(isD&&C.n){',493,'.c=C.n;C',24,492,'C.n];}box',50,'Set(_21d.nuc,_21b,size',');if(C.ic){_21d','.delta=C.ic*TeX.scale;if',487,'||!_21d.sub||','jsMath.Browser.','msieIntegralBug','){box',50,295,158,'(_21d.delta)],','_21b,size);}}','box.y=-((',364,')/2-box.d-TeX.',29,');if(Math.abs(box.y)<0.0001){box.y=0;}}if(!box){box',50,501,').Remeasured();}if',487,1,'W=box.w',3,'x=box.w',3,'_224=[box];var dh=0',3,'dd=0;if(_21d.sup',1,'sup',50,86,'_21d.sup,',27,376,'_21b),',114,'sup.x=((box.w-sup.w)/2+','_21d.delta/2)-x;','dh=TeX.big_op_spacing5;W',12,'W,sup.w);x+=sup.x+sup.w;sup.y=box.h+sup.d+box.y+Math.max(TeX.big_op_spacing1,TeX.big_op_spacing3-sup.d);','_224[_224.length]=','sup;delete _21d.sup;}if(_21d.sub',1,'sub',50,86,'_21d.sub,',27,'DownStyle','(_21b),',114,'sub.x=((box.w-sub.w)/2-',541,'dd=TeX.big_op_spacing5;W',12,'W,sub.w);x+=sub.x+sub.w;sub.y=-box.d-sub.h+box.y-Math.max(TeX.big_op_spacing2,TeX.big_op_spacing4-sub.h);',545,'sub;delete _21d.sub;}if(W>box.w){box.x=(W-box.w)/2;x+=box.x;}if(x<W){',545,158,'(W-x);}',493,50,172,'(_224,_21b',89,493,'.h+=dh;',493,'.d+=dd',155,'if(',506,507,'&&_21d.sub&&C&&C.ic){',493,50,295,'jsMath.Box.','Space(-C.ic*TeX.scale)],_21b,size);}else{if(box.y){',493,50,172,'([box],',513,199,476,');}},ord',66,'_229,size,_22b',',prev,_22d,i){if(_22b.',421,'"&&!_22b.sup&&!_22b.sub',1,'_22f=','_22d.mlist','[i+1];if(_22f&&_22f.atom&&_22f.type&&(_22f.type=="ord','"||_22f.type=="','op',602,'bin',602,'rel',602,'open',602,61,602,193,'")){if(_22f.',421,'"&&_22f.nuc.font==_22b.nuc.font){_22b.textsymbol=1',3,'krn',24,'[_22b.nuc.font][_22b.nuc.c].krn;krn*=',27,'TeX(_229,size).scale;if(krn&&krn[_22f.nuc.c]){for(var k=',600,8,'-1;k>i;k--){',600,'[k+1]=',600,'[k];}',600,'[i+1]=',158,'(krn[_22f.nuc.c]);}}}}',199,594,201,'fraction',66,'_232,size,_234',1,'TeX=',27,'TeX(_232',128,'t=0;if(','_234.thickness','!=null){t=',646,155,'if(_234.from.match(/over/)){t=',287,';}}var isD=(_232',485,'D");var Cn=(_232=="D")?"T":(_232=="D\'")?"T\'":',27,376,'_232);var Cd=(isD)?"T\'":',27,553,'(_232);var num',50,86,'_234.num,Cn,',114,'var den',50,86,'_234.den,Cd,',114,'var u',3,'v',3,'w',3,'H=(isD)?TeX.delim1:TeX.delim2',3,'_240=[',583,51,'_234.left,_232)];var _241',50,51,'_234.right,_232);if(num.w<den.w){num.x=(den.w-num.w)/2;den.x=-(num.w+num.x);w=den.w;_240[1]=num;_240[2]=den',155,'den.x=(num.w-den.w)/2;num.x=-(den.w+den.x);w=num.w;_240[1]=den;_240[2]=num;}if(isD){u=TeX.num1;v=TeX.denom1',155,'u=(t!=0)?TeX.num2:TeX.num3;v=TeX.denom2;}if(t==0',1,'p=(isD)?7*',287,':3*',287,3,'r=(u-num.d',')-(den.h-v);if(r<p){','u+=(p-r)/2;v+=(p-r)/2;}}else{var p=(isD)?3*t:t',3,'a=TeX.',29,3,'r=(u-num.d)-(a+t/2);if(r<p){u+=p-r;}r=(a-t/2',696,'v+=p-r;}var rule',50,'Rule(w,t);rule.x=-w;rule.y=a-t/2;_240[_240',8,']=rule;}num.y=u;den.y=-v;_240[_240',8,']=_241;_234.nuc',50,172,'(_240,_232',89,'_234',140,'_234',58,'_234.num;delete _234.den;',199,639,201,'SupSub',66,'_248,size,_24a',1,'TeX=',27,'TeX(_248',128,'nuc=','_24a.nuc',3,83,732,50,86,732,',_248,size,0);if(box.format=="null"){',83,732,50,'Text("","normal",','_248,size);}','if(',421,'"){if(!_24a.textsymbol',1,'C',24,'[nuc.font][nuc.c];if(C.ic){_24a',503,'(!_24a.sub){',83,732,50,295,583,'Space(','_24a.delta',')],_248',89,760,'=0;}}}else{',760,'=0;}}if(!_24a.sup&&!_24a.sub){return;}',732,'.Styled();var Cd=',27,553,'(_248);var Cu=',27,376,'_248);var q=',27,'TeX(Cu,size).','sup_drop',3,'r=',27,'TeX(Cd,size).','sub_drop',3,'u=0',3,'v=0',3,'p;if(nuc.type!="text"&&nuc.type!="TeX"&&nuc.type!="null"){u=box.h-q;v=box.d+r;}if(_24a.sub',1,'sub',50,86,'_24a.sub,Cd',89,'sub',50,172,'([sub,',158,'(TeX.scriptspace)],_248,size',');}if(!_24a.sup){sub.y=-Math.max(v,TeX.sub1,sub.h-(4/5)*',27,781,435,732,50,295,'sub],_248,size).Styled();','delete _24a.','sub;return;}var sup',50,86,'_24a.sup,Cu',89,'sup',50,172,'([sup,',158,800,');if(_248=="D"){p=TeX.sup1',155,'if(_248.charAt(_248','.length-1)=="\'"){','p=TeX.sup3',155,'p=TeX.sup2;}}u',12,'u,p,sup.d+',27,776,'x_height/4);if',753,'sup.y=u;',732,50,295,'sup],_248',89,809,'sup;return;}v',12,'v,',27,781,'sub2);',286,287,';if((u-sup.d)-(sub.h-v)<4*t){v=4*t+sub.h-(u-sup.d);p=(4/5)*TeX.x_height-(u-sup.d);if(p>0){u+=p;v-=p;}}sup',91,'sub',91,834,'sub.y=-v;sup.x=',760,';if(sup.w+sup.x>sub.w){sup.x-=sub.w;',732,50,295,'sub,sup],',744,'else{sub.x-=(sup.w+sup.x);',732,50,295,'sup,sub],',744,809,'sup;',809,'sub;}});',70,'=function(_259){this.type="typeset";',7,'=_259;};jsMath.Add(',70,',{upStyle:{D:"S",T:"S","','D\'":"S\'","T\'":"S\'",S:"SS','",SS:"SS","','S\'":"SS\'","SS\'":"SS\'"},','downStyle:{D:"S\'",T:"S\'","',878,'\'",SS:"SS\'","',880,'UpStyle',66,'_25a){return this.upStyle[_25a];},',553,66,'_25b){return this.downStyle[_25b];},',283,66,'_25c){if(_25c.charAt(_25c',824,'return _25c;}return _25c+"\'";},StyleValue',66,'_25d,v){if(_25d=="S"||_25d=="S\'"){return 0.7*v;}if(_25d=="SS"||_25d=="SS\'"){return 0.5*v;}return v;},StyleSize',66,'_25f,size){if(_25f=="S"||_25f=="S','\'"){size=Math.max(0,size-','2);}else{if(','_25f=="SS','"||',902,900,'4);}}return ','size;},TeX',66,'_261,size){if(_261=="S"||_261=="S',900,901,'_261=="SS','"||',912,900,906,'jsMath.TeXparams[size];},AddStyle',66,'_263,size,html){if(_263=="S"||_263=="S',900,901,'_263=="SS','"||',922,900,'4);}}if(size!=4){html="<span class=\\"size"+size+"\\">"+html+"</span>";}return html;},AddClass',66,'_266,html){if(_266!=""&&_266!="normal"){html=',94,'Class(_266,html);}return html',';}});jsMath.','Package(',70,',{DTsep:{ord',':{op:1,bin:2,rel:3,inner:1},','op',':{ord:1,op:1',',rel:3,inner:1},bin:{ord:2,op:2,open:2,inner:2},rel:{ord:3,op:3,open:3,inner:3},open:{},',61,935,193,937,',rel:1,open:1,',61,':1,punct:1,inner:1','},inner',937,',bin:2,rel:3,open',945,'}},SSsep:{ord:{op:1},op',937,'},bin:{},rel:{},open:{},',61,':{op:1},',193,':{},inner:{op:1}},sepW:["","thinmuskip","medmuskip","thickmuskip"],','GetSeparation',66,'l,r,_26a){if(l&&l.atom&&r.atom',1,'_26b=this.DTsep;if(_26a',485,'S"){_26b=this.SSsep;}var row=_26b[l.type];if(row&&row[r.type]!=null){return jsMath.TeX[this.sepW[row[r.type]]];}}return 0;},Typeset',66,'_26d,size){','this.style','=_26d;this.size=size',3,'_26f=-10000;this.w=0;this.h=_26f;this.d=_26f;this.bh=this.h;this.bd=this.d;','this.tbuf','="";this.','tx=0;','this.tclass','="";','this.cbuf',971,'hbuf',971,'hx=0',3,'_270=null',3,'prev;this.x=0;this.dx=0;for(var i=0;i<',7,8,';i++){prev=_270;_270=',7,'[i];switch(_270.type){case "size":','this.FlushClassed();','this.size=_270.size;','_270=prev;break;case "','style":',989,'if(this.style.charAt(',966,824,966,'=_270.style','+"\'";}else{',966,998,';}',991,'space":if(typeof (_270.w)=="object"){',994,'1',')=="S"){_270.w=0.','5','*_270.w[0]/18;}else{',994,'0',1007,'7',1009,'_270.w=_270.w[0]/18;}}}this.dx+=_270.w-0;',991,'html":',989,'if(this.hbuf==""){this.hx=this.','x;}','this.hbuf+=','_270.html;_270=prev;break;default:if(!_270.atom&&_270.type!="box"){break;}','_270.nuc.','x+=this.dx+this.',957,'(prev,_270,',966,');if(',1023,'y||',1023,'x){',1023,'Styled();}this.dx=0;this.x=this.x+this.w;this.w+=',1023,'w+',1023,'x;if(',1023,'format=="text"){if(',973,'!=',1023,'tclass','&&',973,'!=""){this.FlushText();}if(',970,'==""&&',975,'==""){this.tx=this.x;}',970,'+=',1023,'html;',973,'=',1023,1044,155,989,'if(',1023,'x||',1023,'y){this.Place(_270.nuc);}',1019,'x;}',1021,1023,'html;}this.h',12,'this.h,',1023,'h+',1023,'y);this.bh',12,'this.bh,',1023,'bh);this.d',12,'this.d,',1023,'d-',1023,'y);this.bd',12,'this.bd,',1023,'bd);break;}}',989,'if(this.dx){',1021,94,95,'this.dx);this.w+=this.dx;}if(this.hbuf==""){return ',583,'Null;}if(this.h==_26f){this.h=0;}if(this.d==_26f){this.d=0;}var box','=new jsMath.','Box("html",this.hbuf,this.w,this.h,this.d);box.bh=this.bh;box.bd=this.bd;return box;},FlushText:function(){if(',970,'==""){return;}',975,'+=',27,'AddClass(',973,',',970,');',970,'="";',973,'="";},FlushClassed:function(){this.FlushText();if(',975,1103,1019,'tx;}',1021,27,'AddStyle(',966,',this.size,',975,');',975,'="";},Place',66,'item',1,'html="<span style=\\"position: relative',';";if(item.x){html+=" margin-left:"+',94,'Em(item.x',')+";";}if(item.y){html+=" top:"+',94,'Em(-item.y',')+";";}item',93,'html+"\\">"+','item.html+"</span','>";','item.h+=item.y;item.d-=item.y;item.x=0;item.y=0',';},PlaceSeparateSkips',66,'item){if(item.y){if(','item.html.match','(/^<img[^>]*>(<span style="margin-left: [-0-9.]*em"><\\/span>)?$/i)&&!',1148,'(/top:/)){item',93,'item.html.replace(/style=\\"/,"style=\\"position:relative; top:"+',94,1138,')+";");}else{item.',1132,'; "+"top:"+',94,1138,')+";"+"\\">"+',1142,'>";}}if(item.x){item',93,506,'msieSpaceFix+"<span style=\\"margin-left:"+',94,1135,'-',506,'spaceWidth)+";\\">"+',506,'hiddenSpace+"</span>"+item.html;}',1144,931,'Parse','=function(s,font,size,','_27a',1,'_27b=new ','jsMath.Parser','(s,font,size,_27a);_27b.Parse();return _27b;};',1181,1177,'_27f){this.string=s;this.i=0;',7,1100,'mList(null,font,size,_27f);};jsMath.Package(',1181,',{cmd:"\\\\",open:"{",',61,':"}",letter:/[a-z]/i,number:/[0-9]/,mathchar:{"!":[5,0,33],"(":[4,0,40],")":[5,0,41],"*":[2,2,3],"+":[2,0,43],",":[6,1,59],"-":[2,2,0],".":[0,1,58],"/":[0,1,61],":":[3,0,58],";":[6,0,59],"<":[3,1,60],"=":[3,0,61],">":[3,1,62],"?":[5,0,63],"[":[4,0,91],"]":[5,0,93],"|":[0,2,106]},special:{"^":"HandleSuperscript","_":"HandleSubscript"," ":"Space","\\t":"Space","\\r":"Space","\\n":"Space","\'":"Prime","%":"HandleComment","&":"HandleEntry"},mathchardef:{braceld:[0,3,122],bracerd:[0,3,123],bracelu:[0,3,124],braceru:[0,3,125],alpha:[0,1,11],beta:[0,1,12],gamma:[0,1,13],delta:[0,1,14],epsilon:[0,1,15],zeta:[0,1,16],eta:[0,1,17],theta:[0,1,18],iota:[0,1,19],kappa:[0,1,20],lambda:[0,1,21],mu:[0,1,22],nu:[0,1,23],xi:[0,1,24],pi:[0,1,25],rho:[0,1,26],sigma:[0,1,27],tau:[0,1,28],upsilon:[0,1,29],phi:[0,1,30],chi:[0,1,31],psi:[0,1,32],omega:[0,1,33],varepsilon:[0,1,34],vartheta:[0,1,35],varpi:[0,1,36],varrho:[0,1,37],varsigma:[0,1,38],varphi:[0,1,39],Gamma:[7,0,0],Delta:[7,0,1],Theta:[7,0,2],Lambda:[7,0,3],Xi:[7,0,4],Pi:[7,0,5],Sigma:[7,0,6],Upsilon:[7,0,7],Phi:[7,0,8],Psi:[7,0,9],Omega:[7,0,10],aleph:[0,2,64],imath:[0,1,123],jmath:[0,1,124],ell:[0,1,96],wp:[0,1,125],Re:[0,2,60],Im:[0,2,61],partial:[0,1,64],infty:[0,2,49],prime:[0,2,48],emptyset:[0,2,59],nabla:[0,2,114],surd:[1,2,112],top:[0,2,62],bot:[0,2,63],triangle:[0,2,52],forall:[0,2,56],exists:[0,2,57],neg:[0,2,58],lnot:[0,2,58],flat:[0,1,91],natural:[0,1,92],sharp:[0,1,93],clubsuit:[0,2,124],diamondsuit:[0,2,125],heartsuit:[0,2,126],spadesuit:[0,2,127],coprod:[1,3,96],bigvee:[1,3,87],bigwedge:[1,3,86],biguplus:[1,3,85],bigcap:[1,3,84],bigcup:[1,3,83],intop:[1,3,82],prod:[1,3,81],sum:[1,3,80],bigotimes:[1,3,78],bigoplus:[1,3,76],bigodot:[1,3,74],ointop:[1,3,72],bigsqcup:[1,3,70],smallint:[1,2,115],triangleleft:[2,1,47],','triangleright',':[2,1,46],bigtriangleup:[2,2,52],bigtriangledown:[2,2,53],wedge:[2,2,94],land:[2,2,94],vee:[2,2,95],lor:[2,2,95],cap:[2,2,92],cup:[2,2,91],ddagger:[2,2,122],dagger:[2,2,121],sqcap:[2,2,117],sqcup:[2,2,116],uplus:[2,2,93],amalg:[2,2,113],diamond:[2,2,5],bullet:[2,2,15],wr:[2,2,111],div:[2,2,4],odot:[2,2,12],oslash:[2,2,11],otimes:[2,2,10],ominus:[2,2,9],oplus:[2,2,8],mp:[2,2,7],pm:[2,2,6],circ:[2,2,14],bigcirc:[2,2,13],setminus:[2,2,110],cdot:[2,2,1],ast:[2,2,3],times:[2,2,2],star:[2,1,63],propto:[3,2,47],sqsubseteq:[3,2,118],sqsupseteq:[3,2,119],parallel:[3,2,107],mid:[3,2,106],dashv:[3,2,97],vdash:[3,2,96],leq:[3,2,20],le:[3,2,20],geq:[3,2,21],ge:[3,2,21],succ:[3,2,31],prec:[3,2,30],approx:[3,2,25],succeq:[3,2,23],preceq:[3,2,22],supset:[3,2,27],subset:[3,2,26],supseteq:[3,2,19],subseteq:[3,2,18],"in":[3,2,50],ni:[3,2,51],owns:[3,2,51],gg:[3,2,29],ll:[3,2,28],not:[3,2,54],sim:[3,2,24],simeq:[3,2,39],perp:[3,2,63],equiv:[3,2,17],asymp:[3,2,16],smile:[3,1,94],frown:[3,1,95],Leftrightarrow:[3,2,44],Leftarrow:[3,2,40],Rightarrow:[3,2,41],leftrightarrow:[3,2,36],leftarrow:[3,2,32],gets:[3,2,32],rightarrow:[3,2,33],to:[3,2,33],mapstochar:[3,2,55],leftharpoonup:[3,1,40],','leftharpoondown',':[3,1,41],rightharpoonup:[3,1,42],rightharpoondown:[3,1,43],nearrow:[3,2,37],searrow:[3,2,38],nwarrow:[3,2,45],swarrow:[3,2,46],hbarchar:[0,0,22],lhook:[3,1,44],rhook:[3,1,45],ldotp:[6,1,58],cdotp:[6,2,1],colon:[6,0,58],"#":[7,0,35],"$":[7,0,36],"%":[7,0,37],"&":[7,0,38]},delimiter:{"(":[0,0,40,3,0],")":[0,0,41,3,1],"[":[0,0,91,3,2],"]":[0,0,93,3,3],"<":[0,2,104,3,10],">":[0,2,105,3,11],"/":[0,0,47,3,14],"|":[0,2,106,3,12],".":[0,0,0,0,0],"\\\\":[','0,2,110,3,15],"\\\\','lmoustache":[4,3,122,3,64],"\\\\rmoustache":[5,3,123,3,65],"\\\\lgroup":[4,6,40,3,58],"\\\\rgroup":[5,6,41,3,59],"\\\\arrowvert','":[0,2,106,3,','60],"\\\\Arrowvert":[0,2,107,3,61],"\\\\bracevert',1199,'62],"\\\\Vert":[0,2,107,3,13],"\\\\|":[0,2,107,3,13],"\\\\vert',1199,'12],"\\\\uparrow":[3,2,34,3,120],"\\\\downarrow":[3,2,35,3,121],"\\\\updownarrow":[3,2,108,3,63],"\\\\Uparrow":[3,2,42,3,126],"\\\\Downarrow":[3,2,43,3,127],"\\\\Updownarrow":[3,2,109,3,119],"\\\\backslash":[',1197,'rangle":[5,2,105,3,11],"\\\\langle":[4,2,104,3,10],"\\\\rbrace":[5,2,103,3,9],"\\\\lbrace":[4,2,102,3,8],"\\\\}":[5,2,103,3,9],"\\\\{":[4,2,102,3,8],"\\\\rceil":[5,2,101,3,7],"\\\\lceil":[4,2,100,3,6],"\\\\rfloor":[5,2,99,3,5],"\\\\lfloor":[4,2,98,3,4]},macros:{displaystyle',':["HandleStyle","','D"],textstyle',1207,'T"],scriptstyle',1207,'S"],scriptscriptstyle',1207,'SS"],rm',':["HandleFont",','0],mit',1215,'1],oldstyle',1215,'1],cal',1215,'2],it',1215,'4],bf',1215,'6],left:"HandleLeft",right:"HandleRight",arcsin',':["NamedOp",0],','arccos',1227,'arctan',1227,'arg',1227,'cos',1227,'cosh',1227,'cot',1227,'coth',1227,'csc',1227,'deg',1227,'det',':"NamedOp",','dim',1227,'exp',1227,'gcd',1247,'hom',1227,'inf',1247,'ker',1227,'lg',1227,'lim',1247,'liminf',':["NamedOp",null,"lim<span style=\\"margin-left: "+1/6+"em\\"></span>','inf"],limsup',1265,'sup"],ln',1227,'log',1227,'max',1247,'min',1247,'Pr',1247,'sec',1227,'sin',1227,'sinh',1227,'sup',1247,'tan',1227,'tanh',1227,249,':["HandleAtom","',249,'"],',269,1291,269,'"],',304,1291,304,'"],over',':"HandleOver",','overwithdelims',1302,'atop',1302,'atopwithdelims',1302,'above',1302,'abovewithdelims',1302,'brace',':["HandleOver','","\\\\{","\\\\}"],brack',1314,'","[","]"],choose',1314,'","(",")"],overbrace',':["Extension","leaders"],','underbrace',1320,'overrightarrow',1320,'overleftarrow',1320,'overset',':["Extension","underset-overset"],','underset',1328,'llap',':"HandleLap",','rlap',1332,'ulap',1332,'dlap',1332,'raise:"RaiseLower",lower:"RaiseLower",moveleft',':"MoveLeftRight",','moveright',1340,'frac:"Frac",root:"Root",sqrt:"Sqrt",hbar',':["Macro","\\\\','hbarchar\\\\kern-.5em h"],ne',1344,'not="],neq',1344,'not="],notin',1344,'mathrel{\\\\','rlap{\\\\kern2mu/}}\\\\in"],cong',1344,1351,'lower2mu{\\\\','mathrel','{{\\\\rlap{=}\\\\raise6mu\\\\sim}}}}"],bmod',1344,'mathbin{\\\\rm mod}"],pmod',1344,'kern 18mu ({\\\\rm mod}\\\\,\\\\,#1)",1],"int":["Macro","\\\\intop\\\\nolimits"],oint',1344,'ointop\\\\nolimits"],doteq',1344,'buildrel\\\\textstyle.\\\\over="],ldots',1344,'mathinner{\\\\','ldotp\\\\ldotp\\\\ldotp}"],cdots',1344,1367,'cdotp\\\\cdotp\\\\cdotp}"],vdots',1344,1367,'rlap{\\\\raise8pt{.\\\\rule 0pt 6pt 0pt}}\\\\rlap{\\\\raise4pt{.}}.}"],ddots',1344,1367,'kern1mu\\\\raise7pt{\\\\rule 0pt 7pt 0pt .}\\\\kern2mu\\\\raise4pt{.}\\\\kern2mu\\\\raise1pt{.}\\\\kern1mu}"],joinrel',1344,1351,'kern-4mu}"],relbar',1344,1351,'smash-}"],','Relbar',1344,1356,'="],bowtie',1344,1356,'\\\\',1193,'\\\\joinrel\\\\',1356,'\\\\triangleleft"],models',1344,1356,'|\\\\joinrel="],mapsto',1344,'mapstochar\\\\','rightarrow"],rightleftharpoons',1344,249,'{\\\\',1351,'rlap{\\\\raise3mu{\\\\rightharpoonup}}}\\\\',1195,'}"],hookrightarrow',1344,'lhook\\\\','joinrel\\\\rightarrow"],','hookleftarrow',1344,'leftarrow\\\\joinrel\\\\','rhook"],Longrightarrow',1344,1384,1392,'Rightarrow"],','longrightarrow',1344,'relbar\\\\',1410,'longleftarrow',1344,1413,'relbar"],Longleftarrow',1344,'Leftarrow\\\\joinrel\\\\',1384,'"],longmapsto',1344,1399,'char{cmsy10}{0}\\\\',1410,'longleftrightarrow',1344,'leftarrow\\\\',1410,'Longleftrightarrow',1344,1428,1418,'iff:["Macro","\\\\;\\\\',1439,'\\\\;"],mathrm',':["Macro","{\\\\','rm #1}",1],mathbf',1446,'bf #1}",1],','mathbb',1446,1449,'mathit',1446,'it #1}",1],TeX:["Macro","T\\\\kern-.1667em\\\\lower.5ex{E}\\\\kern-.125em X"],limits:["Limits",1],nolimits:["Limits",0],",":["Spacer",1/6],":":["Spacer",1/6],">":["Spacer",2/9],";":["Spacer",5/18],"!":["Spacer",-1/6],enspace',':["Spacer",','1/2],quad',1456,'1],qquad',1456,'2],thinspace',1456,'1/6],negthinspace:["Spacer",-1/6],hskip:"Hskip",kern:"Hskip",rule:["Rule","colored"],space:["Rule","blank"],big',':["MakeBig","','ord",0.85],Big',1464,'ord",1.','15],bigg',1464,1467,'45],Bigg',1464,1467,'75],bigl',1464,'open",0.85],Bigl',1464,'open",1.','15],biggl',1464,1478,'45],Biggl',1464,1478,'75],bigr',1464,61,'",0.85],Bigr',1464,'close",1.','15],biggr',1464,1490,'45],Biggr',1464,1490,'75],bigm',1464,'rel",0.85],Bigm',1464,'rel",1.','15],biggm',1464,1501,'45],Biggm',1464,1501,'75],mathord',1291,'ord"],mathop',1291,'op"],mathopen',1291,'open"],mathclose',1291,61,'"],mathbin',1291,'bin"],',1356,1291,'rel"],mathpunct',1291,193,'"],mathinner',1291,'inner"],','mathchoice',':["Extension","',1528,'"],buildrel:"BuildRel",hbox:"HBox",text:"HBox",mbox:"HBox",fbox',1529,'fbox"],strut:"Strut",mathstrut',1344,'vphantom{(}"],phantom',':["Phantom",','1,1],vphantom',1536,'1,0],hphantom',1536,'0,1],smash:"Smash",acute',':["MathAccent",[7,0,','19]],grave',1542,'18]],ddot',1542,'127]],tilde',1542,'126]],bar',1542,'22]],breve',1542,'21]],check',1542,'20]],hat',1542,'94]],vec:["MathAccent",[0,1,126]],dot',1542,'95'],
  [']],widetilde',':["MathAccent",[0,3,','101]],widehat',1,'98]],"_":["','Replace","ord','","_","normal",-0.4,0.1]," ":["',5,'","&nbsp',';","normal"],','angle:["',5,'","&#x2220',9,'matrix',':"Matrix",','array',15,'pmatrix:["Matrix','","(",")","c"],','cases:["Matrix","\\\\{",".",["l","l"]],cr:"','HandleRow','","\\\\":"',21,'",begin:"Begin",end:"End",tiny',':["HandleSize",','0],Tiny',25,'1],scriptsize',25,'2],small',25,'3],normalsize',25,'4],large',25,'5],Large',25,'6],LARGE',25,'7],huge',25,'8],Huge',25,'9],dots:["Macro","\\\\ldots"],color:["','Extension","HTML','"],href:["',45,'"],"class":["',45,'"],style:["',45,'"],unicode:["',45,'"],require:"Require","char":"Char"},','environments',':{array:"Array",',14,':["Array",null,null,"','c"],pmatrix',':["Array',19,'bmatrix',60,'","[","]","c"],Bmatrix',60,'","\\\\{","\\\\}","c"],vmatrix',60,'","\\\\vert","\\\\vert","c"],Vmatrix',60,'","\\\\Vert","\\\\Vert","c"],cases',60,'","\\\\{",".","ll"],eqnarray',58,'rcl",[5/18,5/18]]},AddSpecial',':function','(obj){','for(var id in obj){','jsMath.Parser.prototype','.special[',78,'[id]]=obj[id];}},Error',75,'(s){this.i','=this.','string.length',';if(s','.error){','this.error','=s.error;}','else{if(!','this',87,88,'=s;}}},nextIsSpace',75,'(){','return ','this.string.charAt(this.i',')==" ";},','Process',75,'(arg','){var ','data=','this.mlist.','data;','arg=jsMath.Parse(arg,','data.font',',','data.size',',data.style);if(arg',87,'this.Error(','arg);','return null',';}if(arg.mlist.Length()==','0){',115,116,'1',103,'atom=','arg.mlist.','Last();if','(atom','.atom&&','atom.type=="ord"&&atom.nuc&&!atom.sub&&!atom.sup&&(','atom.nuc.type=="','text"||',128,'TeX")){',97,'atom.nuc;}}return {type:"mlist",mlist:arg.mlist};},GetCommand',75,'(){var ','_286=/^([a-z]+|.) ?/i;var cmd=_286.exec(','this.string.slice(','this.i));if(cmd){','this.i+=','cmd[1].length;',97,'cmd[1];}','this.Error("','Missing',' control sequnece name at end of string or',' argument','");',115,';},','GetArgument',':function(name',',','_289){','while','(this.nextIsSpace()){this.i','++;}','if(this.','i>=this.',85,'){if(!',153,143,144,146,' for "+','name);}',115,';}if(',98,')==this.','close){if','(!',153,143,'Extra close brace','");}',115,168,98,170,'cmd){','this.i++;',97,'this.cmd+','this.GetCommand','();}if(',98,')!=','this.open){',97,98,'++);}var j','=++this.i;var ','_28b=1;var c="";',154,'(this.i<this.string.length){','c=',98,'++);','if(c==this.cmd){this.i++;}else{if(c','==',189,'_28b++;}','else{if(c==this.',171,'(','_28b==0){',143,175,'");',115,';}if(--',207,97,137,'j,this.i-1);}}}}}',143,'Missing close brace','");',115,';},ProcessArg',151,'){','var arg=this.',150,'(','name);','if(this.error){return',' null;}return this.Process(arg);},','GetDelimiter',151,'){',154,155,'++;}var ','c=',98,');if',196,182,'if(c==this.cmd){c="\\\\"+',185,'(',227,228,' null;}}','if(','this.delimiter[','c]!=null){',97,248,'c];}}',143,144,' or unrecognized delimiter',165,227,115,';},','GetDimen',151,',nomu',103,'rest;var _294=0;if',155,'++;}if(',98,')=="{"){rest',84,150,'(name);}else{rest=',137,'this.i);_294=1',';}var ','_295=rest.match(/^\\s*([-+]?(\\.\\d+|\\d+(\\.\\d*)?))(pt|em|ex|mu|px)/);if(!_295){',143,144,' dimension or its units',165,227,115,168,'_294){',139,'_295[0].length;if',155,'++;}}var d=_295[1]-0;if(_295[4]=="px"){d/=jsMath.em',';}else{if(_295[4]=="','pt"){d/=10',288,'ex"){d*=','jsMath.TeX','.x_height',288,'mu"){if(nomu){d=d/18;}else{d=[d,"mu"];}}}}}',97,'d;},GetNext',75,'(){',154,155,'++;}',97,98,');},','GetBrackets',151,103,'c',84,'GetNext();if(c','!="["){return "";}var _299',193,'_29a=0;',154,196,'var c=',98,'++);if(c=="{"){','_29a','++;}else{if(c=="}"){if(','_29a==0){',143,175,' while looking for',' \']\'");',115,';}_29a--;}else{',200,'=="]"){if(',322,97,137,'_299,this.i-1);}}}}}}',143,'Couldn\'t find',' closing \']\' for',146,' to "+',184,227,115,';},GetUpto',151,',_29d){',154,155,235,'_29e',84,'i;var _29f=0;',154,196,'var c=',98,319,'_29f',321,'_29f==0){',143,175,325,' "+',184,'_29d);',115,';}_29f--;}',204,'cmd){if(',137,'this.i,this.i+','5)=="begin"){_29f++;',139,'4;}else{if(',137,371,'3)=="end"){if(_29f>0){_29f--;',139,'2;}}}if(',359,'if(',137,371,'_29d.length',')==_29d){c=',98,'+',384,');if(c.match(/[^a-z]/i)||!_29d.match(/[a-z]/i)){var arg=',137,'_29e,this.i-1);',139,384,';',97,'arg;}}}this.i++;}}}}',143,336,' "+',184,'_29d+" for "+',227,115,';},','ProcessUpto',151,',_2a3){',224,'GetUpto(name,_2a3);',228,229,'GetEnd',75,'(env',103,'body="";var name="";',154,'(name!=env){body+=this.GetUpto("begin{"+env+"}","end");',228,' null;}name',84,150,'(this.cmd','+"end");',228,246,97,'body;},Space',75,'(){},','Prime',75,'(c',103,'base=',105,124,'(base==null||(!base',126,'base.type!="','box"&&',440,'frac")){',435,'this.mlist.Add(jsMath.mItem.','Atom("ord",null));}if(base.','sup){',143,'Prime causes double exponent',': use braces to clarify");return;}','var sup="";',154,'(c=="\'"){sup+="\\\\prime";c',84,311,'=="\'"){this.i++;}}','base.sup',84,100,'(sup);},RaiseLower',151,103,'h','=this.GetDimen(this.cmd+name',',1);',228,274,'box','=this.ProcessArg','(this.cmd+name);if(this.error){return',168,'name=="lower"){h=-h;}',105,'Add(new jsMath.mItem("','raise",{nuc:box,raise:h}));},MoveLeftRight',151,103,'x',464,465,228,274,'box',469,470,168,'name=="moveleft"){x=-x;}',445,'Space(x));',445,'Atom("ord",box));',445,'Space(-x));},Require',151,103,'file',84,150,470,';}file=','jsMath.Extension','.URL(file);if(','jsMath.Setup.','loaded[file',']){','return;}','this.Extension(null,[','file]);},Extension',151,',data){','jsMath.Translate','.restart=1;if(name','!=null){','delete ',78,'[data[1]||"macros"][name];}','jsMath.Script.','Start();',501,'.Require(data[0],',511,'.asynchronous',');throw "restart";},Frac',151,103,'num',469,470,274,'den',469,470,';}',445,'Fraction("over",num,den));},Sqrt',151,103,'n',84,306,470,274,'arg',469,470,';}box=jsMath.mItem.Atom("radical",arg);',157,'n!=""){box.root',84,100,'(n);',228,';}}',105,'Add(box);},','Root',151,103,'n',84,405,'(',184,'name,"of");',228,274,'arg',469,470,546,'box.root=n;',105,555,'BuildRel',151,103,'top',84,405,'(',184,'name,"over");',228,274,'bot',469,470,274,'op','=jsMath.mItem.Atom("','op",bot);op.limits=1;op.sup=top;',105,'Add(op);},MakeBig',151,',data){var ','type=data[0];var h=data[1]*jsMath.p_height;var _2c6',84,230,470,';}',445,'Atom(type,','jsMath.Box','.Delimiter(h,_2c6,"T")));},Char',151,103,'font',84,150,470,274,'n',84,150,470,';}if(!',292,'[font]){',292,'[font]=[];',507,'jsMath.Font.URL(font',')]);}else{',445,'Typeset(',603,'.TeX(n-0,font,"T",',105,110,')));}},Matrix',151,',_2cb',103,'data=',105,106,224,150,470,274,'_2ce','=new jsMath.Parser(arg+"\\\\\\\\",null,data.size);','_2ce.',14,'=name;_2ce.row=[];_2ce.table=[];_2ce.Parse();if(_2ce',87,113,'_2ce);',506,'_2ce','.HandleRow(name,1);var box=jsMath.Box.Layout(data.size,','_2ce.table,_2cb[2]);if(_2cb[0]&&_2cb[1]){var left','=jsMath.Box.Delimiter(box.h+box.d,this.delimiter[','_2cb[0]],"T");var _2d1',653,'_2cb','[1]],"T");box=jsMath.Box.SetList([left,box,','_2d1],','data.style,data.size',');}',445,'Atom((_2cb','[0]?"inner":"ord"),box));},','HandleEntry',151,'){','if(!this.',14,'){',113,'name+" can only appear in a matrix or array");return;}','if(',105,'data.openI',513,'var open=',105,'Get(',105,674,');if(open','.left){',143,144,' "+this.cmd+"right','");}else{',143,218,'");}}if(',105,'data.overI',513,105,'Over();}var data=',105,106,105,'Atomize','("T",',110,');var box=',105,'Typeset("T",',110,');this.row[','this.row.length',']=box;this.mlist=new jsMath.mList(null,null,',110,');},',21,151,',last){',667,14,'){',113,184,671,'this.',664,'(',227,'if(!last||',706,'>1||this.row[0].format!="null"){this.table[this.table','.length]=this.','row;}this.row=[];},Array',151,',_2d9',103,'_2da=_2d9[2];var _2db=_2d9[3];if(!_2da){_2da',84,150,423,'+"begin{"+name+"}");',228,';}}_2da=_2da.replace(/[^clr]/g,"");_2da=_2da.split("");var data=',105,106,224,412,'(',227,228,274,'_2de',642,'_2de.',14,'=name;_2de.row=[];_2de.table=[];_2de.Parse();if(_2de',87,113,'_2de);',506,'_2de',651,'_2de.table,_2da,_2db);if(_2d9[0]&&_2d9[1]){var left',653,'_2d9[0]],"T");var _2e1',653,'_2d9',657,'_2e1],',659,');}',445,'Atom((_2d9',663,'Begin',151,103,'env',84,150,470,168,'env.match(/[^a-z*]/i)){',143,'Invalid',' environment',' name',' \\""+env+"\\"");return;}',667,55,'[env]){',143,'Unknown',780,782,'var cmd',84,55,'[env','];if(typeof (','cmd',')=="string"){','cmd=[cmd];}this[cmd[0]](env,cmd.slice(1));},End',151,103,'env',84,150,470,';}',113,184,'name+"{"+env+"} without matching "+this.cmd+"begin");},Spacer',151,',w){',445,'Space(w-0));},Hskip',151,103,'w',84,260,470,';}',445,'Space(w));},HBox',151,103,'text',84,150,470,';}','var box=jsMath.','Box.InternalMath(text,',105,110,');',445,625,'box));},Rule',151,',_2ef',103,'w',464,465,228,274,'h',464,465,228,274,'d',464,465,228,';}h+=d;var html;if(h!=0){h=Math.max(1.05/jsMath.em,h);}if(h==0||w==0){_2ef="blank";}if(w==0){','html="<img src=\\""+jsMath.blank+"\\" style','=\\""+"','border:0px none','; width:1px; margin-right:-1px; "+"height',':"+jsMath.HTML.Em','(h*','jsMath.Browser.','imgScale)+"\\" />";}else{','if(_2ef=="blank"){',854,'=\\"',856,'; "+"height',858,'(h*',860,'imgScale)+"; "+"','width',858,'(w*',860,861,854,'=\\""+"position: relative; top:1px; height:1px; ',856,'; "+"border-top',858,'(h*',860,'imgScale)+" solid; "+"width',858,'(w*',860,'imgScale)+"\\" />";}}if(d){html','="<span style=\\"','vertical-align',858,'(-d)+"\\">"+html','+"</span>";}',445,625,'new ',603,'("html",html,w,h-d,d)));},Strut',75,135,'size=',105,110,';',828,'Box.Text("","normal","T",size).Styled();box.bh=box.bd=0;box.h=0.8;box.d=0.3;box.w=0;',445,625,'box));},Phantom',151,595,'arg',469,470,';}',105,474,'phantom",{phantom:arg,v:data[0],h:data[1]}));},Smash',151,595,'arg',469,470,';}',105,474,'smash",{smash:arg}));},MathAccent',151,',_2fd',103,'c',469,470,274,'atom',590,'accent",c);atom.accent=_2fd[0];',105,'Add(atom);},NamedOp',151,595,'a=(name.match(/[^acegm-su-z]/))?1:0;var d=(name.match(/[gjpqy]/))?1:0;if(data[1]){name=data[1];}',828,'mItem.TextAtom("op",name,"cmr10",a,d);if(data[0]!=null){box.limits=data[0];}',105,555,'Limits',151,595,122,105,124,'(!atom||atom.type!="op"){',113,184,'name+" is allowed only on operators");',506,'atom.limits=data[0];},Macro',151,595,'text=data[0];if(data[1]){var args=[];for(var i=0;i<data[1];i++){args[args',726,150,470,';}}text="";var c;var i','=0;while(i<','data[0].length){','c=data[0].charAt(i++);if(c','=="\\\\"){text+=c+data[0].charAt(i++);}else{if(c=="#"){',967,'=="#"){text+=c;}',90,'c.match(/[1-9]/)||c>args.length){',143,'Illegal macro',146,' reference");',506,'text+=args[c-1];}}else{text+=c;}}}}this.string=text+',137,'this.i);this.i=0;},Replace',151,510,445,'TextAtom(data[0],data[1],data[2],data[3]));},HandleLap',151,103,'box',469,'();',228,';}box=',105,474,'lap",{nuc:box,lap:name}));},HandleAtom',151,595,'arg',469,470,';}',445,'Atom(data,arg));},HandleMathCode',151,',code','){this.HandleTeXchar(','code[0],code[1],code[2]);},HandleTeXchar',75,'(type,font,code){if(type==7&&',105,108,513,'font=',105,108,';}font=',292,'.fam[font];',445,'TeXAtom(',292,'.atom[type],code,font));},','HandleVariable',75,'(c',1005,'7,1',',c.charCodeAt(0));},','HandleNumber',75,'(c',1005,'7,0',1027,'HandleOther',75,'(c){',445,'TextAtom("ord",c,"normal"));},HandleComment',75,135,'c;',154,196,'c=',98,'++);if(c=="\\r"||c=="\\n"){return;}}},HandleStyle',151,',_320){',105,'data.style=_320[0];',105,474,'style",{style:_320[0]}));},HandleSize',151,',size){',105,110,'=size[0];',105,474,'size",{size:size[0]}));},HandleFont',151,',font){',105,108,'=font[0];},HandleCS',75,135,'cmd=',185,'();',228,';}',157,'macros[cmd',']){var _326',84,1075,794,'_326',796,'_326=[_326];}this[_326[0]](cmd,_326.slice(1));',506,'if(','this.mathchardef[cmd',']){this.HandleMathCode(','cmd,',1085,']);',506,'if(',248,184,'cmd',1086,'cmd,',248,184,'cmd].slice(0,3));',506,143,'Unknown control sequence \'"+',184,'cmd+"\'");},HandleOpen',75,'(){',105,'Open();},HandleClose',75,'(){if(',105,674,'==null){',143,175,'");',506,'var open=',105,'Get(',105,674,');if(!open||','open.left',1113,105,'Close();}else{',143,175,' or missing',685,'");return;}},HandleLeft',151,103,'left',84,230,470,';}',105,'Open(left);},HandleRight',151,103,'_32b',84,230,470,274,'open=',105,'Get(',105,674,681,'&&',1124,513,105,'Close(_32b);}else{',143,'Extra open brace or missing "+this.cmd+"left");}},HandleOver',151,510,'if(',105,691,513,143,'Ambiguous use of "+',184,227,506,105,691,'=',105,'Length();',105,'data.overF={name:name};if(data.length>0){',105,'data.overF.','left=',248,'data[0]];',105,1181,'right=',248,'data[1]];}else{if(name.match(/withdelims$/)){',105,1181,'left',84,230,470,';}',105,1181,'right',84,230,470,';}}else{',105,1181,'left=null;',105,1181,1187,'null;}}if(name.match(/^above/)){',105,1181,'thickness',84,260,423,'.name',465,228,';}}else{',105,1181,'thickness=null;}},HandleSuperscript',75,135,435,105,124,'(base==null||(!base',126,440,'box"&&',440,'frac")){',435,445,446,'sup){',143,'Double exponent',450,457,469,'("superscript");',228,';}},HandleSubscript',75,135,435,105,124,'(base==null||(!base',126,440,'box"&&',440,'frac")){',435,445,446,'sub){',143,'Double subscripts',450,'base.sub',469,'("subscript");',228,';}},Parse',75,135,'c;',154,196,'c=',98,'++);',157,'mathchar[c',1086,'c,this.',1279,']);}else{',157,'special[c]){this[this',79,'c]](c);}else{',157,'letter','.test(c)){this.',1022,'(c);}else{',157,'number',1290,1028,1292,'this.',1034,'(c);}}}}}if(',105,674,513,'var open=',105,'Get(',105,674,681,'.left){',143,144,685,686,143,218,'");}}if(',105,691,513,105,'Over();}},',698,75,135,'data=',105,'init;if(!this',87,105,698,'(',659,');}},Typeset',75,135,'data=',105,'init;var box',84,'typeset=',105,625,659,');',228,' "<span class=\\"error\\">"+',88,892,'if(box.format=="null"){return "";}box.Styled().Remeasured();var _336=0;var _337=0;if(box.bh>box.h&&','box.bh>jsMath.h+0.001){','_336=1;}if(box.','bd>box.d&&box.bd>jsMath.d+0.001){',1352,'h>jsMath.h||box.d>jsMath.d){_337=1',274,'html=box.html;if(_336){if(',860,'allowAbsolute',103,'y=0;if(',1351,'y=jsMath.h-box.bh;}html=jsMath.HTML.Absolute(html,box.w,jsMath.h,0,y,jsMath.h);}',90,860,'valignBug',103,'dy=jsMath.HTML.Em(Math.max(0,box.bd-jsMath.hd)/3);html',888,'line-height: 0px;"+" position:relative; top:"+dy+"; vertical-align:"+dy+"\\">"+html+"</span>";}}_337=1',168,'_337){html+="<img src=\\""+jsMath.blank+"\\" class=\\"HD\\" style=\\""+"height',858,'((box.h+box.d+0.1)*',860,870,'vertical-align',858,'(-box.d-0.05)+";\\" />";}return "<nobr><span class=\\"scale\\">"+html+"</span></nobr>";}});',78,'.AddSpecial({cmd:"HandleCS",open:"HandleOpen",close:"HandleClose"});','jsMath.Add(jsMath,{','Macro',151,103,'_33c=',78,'.macros;','_33c[name]=["Macro"];for(var i=1;i<arguments.length;i++){_33c[name][_33c[name].length]=arguments[i];}}});',501,'={safeRequire:1,Macro',151,',file',103,'_340=',78,1388,'_340[name',']=["Extension",','file];},LaTeX',75,'(env,file',103,'_343=',78,'.',55,';_343[env',1399,'file,"',55,'"];},Font',151,1063,'if(font',1113,'font=name+"10";}var _346=',78,1388,'_346[name',1399,622,')];},Require',75,'(file,show){',157,'safeRequire&&file.match(/\\.\\.\\/|[^-a-z0-9.\\/_+=]/i)){',503,504,']=1;',506,503,'Script(this.URL(file),show);},URL',75,'(file){file=file.replace(/^\\s+|\\s+$/g,"");if(!file.match(/^([a-z]+:|\\/|fonts|extensions\\/)/i)){file="extensions/"+file;}if(!file.match(/\\.js$/)){file+=".js";}',97,'file;}};',1382,100,75,76,503,'Body();',517,'Push(',511,',"','Asynchronous','",obj);},ProcessBeforeShowing',75,76,503,1443,'var _34c=(','jsMath.Controls.cookie.','asynch?"',1448,'":"','Synchronous','");',517,1445,511,',_34c,obj);}});',511,'={element:[],cancel:0,TextMode',75,'(s',103,'_34e','=jsMath.Parse(s,null,null,"','T");_34e','.Atomize();var html=','_34e.Typeset();',97,'html;},','DisplayMode',75,'(s',103,'_351',1471,'D");_351',1473,'_351.Typeset();',97,1476,'GetElementText',75,'(_353',103,'text=_353.innerText;','if(text==null||text==""){','try{text=_353.textContent;}catch(err){}',1493,'text=_353','.innerHTML',';}}if(text.search("&")>=0){','text=text.replace(/&','lt;/g,"<");',1499,'gt;/g,">");',1499,'quot;/g,"\\"");',1499,'amp;/g,"&");}',97,'text;},ResetHidden',75,'(_355){_355',1497,888,'visibility: hidden; position:absolute; top:0px;left:0px;\\"></span>"+',860,'operaHiddenFix;_355.className="";','jsMath.hidden','=_355.firstChild;if(!jsMath.BBoxFor("x").w){','jsMath.hidden=jsMath.hiddenTop',';}jsMath.','ReInit();},ConvertText',75,'(_356','){var text=this.GetElementText(','_356',');this.ResetHidden(','_356);_356.alt=text;_356',1497,84,'TextMode(text);_356','.className="typeset";},','ConvertDisplay',75,'(_358',1523,'_358',1525,'_358);_358.alt=text;_358',1497,84,1477,'(text);_358',1530,'ProcessElement',75,'(_35a){this.restart=0;try','{if(_35a.tagName.toLowerCase()=="','div"){this.',1531,'(_35a);}else',1546,'span"){this.ConvertText(_35a);if(','_35a.parentNode.','className=="jsMath.recenter"){',1552,'style.marginLeft=Math.floor((',1552,'offsetWidth-_35a.offsetWidth)/2)+"px";}}}_35a.onclick=jsMath.Click.CheckClick;_35a.ondblclick=jsMath.Click.CheckDblClick;}catch(err){if(_35a.alt){_35a',1497,'=_35a.alt;}',1518,';}},','ProcessElements',75,'(k){',517,'blocking=','1;if(k>=','this.element.length','||this.cancel){this.','ProcessComplete','();',157,'cancel){','jsMath.Message.','Set("',100,' Math: Canceled");',1574,'Clear();}',517,1566,'0;',517,100,'();}else{','this.ProcessElement(this.element[','k]);',157,'restart){',517,1445,'this,"',1562,'",k);',517,1566,'0;setTimeout("',517,100,'()",',860,'delay);}else{k++;var p=Math.floor(100*k/',1568,');','jsMath.Message.Set("Processing Math',': "+p+"%");setTimeout("',511,'.',1562,'("+k+")",',860,'delay);}}},',1448,75,'(obj','){if(!jsMath.initialized){jsMath.Init();}this.element=this.GetMathElements(obj);','this.cancel=0;this',522,'=1;',517,1566,'1;',1605,': 0%",1);setTimeout("',511,'.',1562,'(0)",',860,'delay);},',1459,75,'(obj,i){if(i==null',1616,'i=0;}this',522,965,1568,'){',1586,'i]);',157,'restart){','jsMath.Synchronize','("',511,'.',1459,'(null,"+i+")");',517,100,'();',506,'i++;}this.',1570,'(1);},GetMathElements',75,'(obj',103,'_361=[];if(!obj){obj=','jsMath.document',168,'typeof (obj',796,'obj=',1661,'.getElementById(obj);}if(!','obj.getElementsByTagName','){',115,274,'math=',1668,'("div','");for(var k=0;k<math.length;k++){if(math[k].className=="math"){if(jsMath.Browser.renameOK&&obj.getElementsByName){math[k].setAttribute("name","_jsMath_");}else{_361[_361.length]=math[k];}}}','math=',1668,'("span',1675,'if(',860,'renameOK','&&obj','.getElementsByName','){_361=obj',1684,'("_jsMath_',686,'if(',1516,'.sourceIndex','){_361.sort(function(a,b){',97,'a',1691,'-b',1691,';});}}',97,'_361;},',1570,75,'(_367){if(',860,1682,103,'_368=',1661,1684,1687,'");for(var i=_368.length-1;i>=0;i--){_368[i].removeAttribute("name");}}',1518,';this.element=[];if(!_367){',1605,': Done");',1574,'Clear();}',1574,'UnBlank();if(',860,'safariImgBug&&(',1455,'font=="symbol"||',1455,'font=="image")){setTimeout("','jsMath.window.resizeBy','(-1,0); ',1726,'(1,0);",2000);}},Cancel',75,'(){',511,'.cancel=1;if(',517,'cancelTimer){',517,'cancelLoad();}}};',1382,'ConvertTeX',75,'(_36a){',517,'Push(jsMath.tex2math,"',1739,'",_36a);},','ConvertTeX2',75,'(_36b){',517,1743,1746,'",_36b);},','ConvertLaTeX',75,'(_36c){',517,1743,1753,'",_36c);},','ConvertCustom',75,'(_36d){',517,1743,1760,'",_36d);},','CustomSearch',75,'(om,cm,od,cd','){',517,1445,'null,function(){jsMath.tex2math.',1767,1769,');});},tex2math:{',1739,75,430,1746,75,430,1753,75,430,1760,75,430,1767,75,'(){}}});',1644,'=',517,'Synchronize;if(','window.parent','!=window){',1796,'.jsMath=jsMath;',1661,'=',1796,'.document;jsMath.window=',1796,1519,'Loaded();jsMath.Controls.GetCookie();',503,'Source();',517,'Init();',503,'Fonts();if(',1661,'.body){jsMath.Setup.Body();}}}']
]);
//end = new Date().getTime();
//alert(end-start);
